/*!
 * Application Insights JavaScript SDK - Dependencies Plugin, 3.3.5
 * Copyright (c) Microsoft and contributors. All rights reserved.
 */
"use strict";var strShimFunction="function",strShimObject="object",strShimUndefined="undefined",strShimPrototype="prototype",ObjClass$1=Object,ObjProto$1=ObjClass$1[strShimPrototype];function _pureAssign(e,t){return e||t}function _pureRef(e,t){return e[t]}var UNDEF_VALUE=undefined,NULL_VALUE=null,EMPTY="",FUNCTION="function",OBJECT="object",PROTOTYPE="prototype",__PROTO__="__proto__",UNDEFINED="undefined",CONSTRUCTOR="constructor",SYMBOL="Symbol",POLYFILL_TAG="_polyfill",LENGTH="length",NAME="name",CALL="call",TO_STRING="toString",ObjClass=_pureAssign(Object),ObjProto=_pureRef(ObjClass,PROTOTYPE),StrCls=_pureAssign(String),StrProto=_pureRef(StrCls,PROTOTYPE),MathCls=_pureAssign(Math),ArrCls=_pureAssign(Array),ArrProto=_pureRef(ArrCls,PROTOTYPE),ArrSlice=_pureRef(ArrProto,"slice");function safe(e,t){try{return{v:e.apply(this,t)}}catch(n){return{e:n}}}function _createIs(t){return function(e){return typeof e===t}}function _createObjIs(e){var t="[object "+e+"]";return function(e){return!(!e||objToString(e)!==t)}}function objToString(e){return ObjProto[TO_STRING].call(e)}function isUndefined(e){return typeof e===UNDEFINED||e===UNDEFINED}function isStrictUndefined(e){return!isDefined(e)}function isNullOrUndefined(e){return e===NULL_VALUE||isUndefined(e)}function isStrictNullOrUndefined(e){return e===NULL_VALUE||!isDefined(e)}function isDefined(e){return!!e||e!==UNDEF_VALUE}var isString=_createIs("string"),isFunction=_createIs(FUNCTION);function isObject(e){return!(!e&&isNullOrUndefined(e)||!e||typeof e!==OBJECT)}var isArray=_pureRef(ArrCls,"isArray"),isNumber=_createIs("number"),isError=_createObjIs("Error"),objGetOwnPropertyDescriptor=_pureRef(ObjClass,"getOwnPropertyDescriptor");function objHasOwnProperty(e,t){return!!e&&ObjProto.hasOwnProperty[CALL](e,t)}var objHasOwn=_pureAssign(_pureRef(ObjClass,"hasOwn"),polyObjHasOwn);function polyObjHasOwn(e,t){return objHasOwnProperty(e,t)||!!objGetOwnPropertyDescriptor(e,t)}function objForEachKey(e,t,n){if(e&&isObject(e))for(var r in e)if(objHasOwn(e,r)&&-1===t[CALL](n||e,r,e[r]))break}var propMap={e:"enumerable",c:"configurable",v:"value",w:"writable",g:"get",s:"set"};function _createProp(t){var e,n={};return n[propMap.c]=!0,n[propMap.e]=!0,t.l&&(n.get=function(){return t.l.v},(e=objGetOwnPropertyDescriptor(t.l,"v"))&&e.set&&(n.set=function(e){t.l.v=e})),objForEachKey(t,function(e,t){n[propMap[e]]=isStrictUndefined(t)?n[propMap[e]]:t}),n}var objDefineProp=_pureRef(ObjClass,"defineProperty");function objDefine(e,t,n){return objDefineProp(e,t,_createProp(n))}function _createKeyValueMap(e,n,r,t,_){var a={};return objForEachKey(e,function(e,t){_assignMapValue(a,e,n?t:e,_),_assignMapValue(a,t,r?t:e,_)}),t?t(a):a}function _assignMapValue(e,t,n,r){objDefineProp(e,t,{value:n,enumerable:!0,writable:!!r})}var asString=_pureAssign(StrCls),ERROR_TYPE="[object Error]";function dumpObj(e,t){var n=EMPTY,r=ObjProto[TO_STRING][CALL](e);r===ERROR_TYPE&&(e={stack:asString(e.stack),message:asString(e.message),name:asString(e.name)});try{n=((n=JSON.stringify(e,NULL_VALUE,t?"number"==typeof t?t:4:UNDEF_VALUE))?n.replace(/"(\w+)"\s*:\s{0,1}/g,"$1: "):NULL_VALUE)||asString(e)}catch(_){n=" - "+dumpObj(_,t)}return r+": "+n}function throwError(e){throw Error(e)}function throwTypeError(e){throw new TypeError(e)}var _objFreeze=_pureRef(ObjClass,"freeze");function _doNothing(e){return e}function _getProto(e){return e[__PROTO__]||NULL_VALUE}var objAssign=_pureRef(ObjClass,"assign"),objKeys=_pureRef(ObjClass,"keys"),objFreeze=_pureAssign(_objFreeze,_doNothing),objGetPrototypeOf=_pureAssign(_pureRef(ObjClass,"getPrototypeOf"),_getProto);function createEnumKeyMap(e){return _createKeyValueMap(e,0,0,objFreeze)}function createSimpleMap(e){var n={};return objForEachKey(e,function(e,t){_assignMapValue(n,e,t[1]),_assignMapValue(n,t[0],t[1])}),objFreeze(n)}function createTypeMap(e){return createSimpleMap(e)}var _globalCfg,_wellKnownSymbolMap=createEnumKeyMap({asyncIterator:0,hasInstance:1,isConcatSpreadable:2,iterator:3,match:4,matchAll:5,replace:6,search:7,species:8,split:9,toPrimitive:10,toStringTag:11,unscopables:12}),GLOBAL_CONFIG_KEY="__tsUtils$gblCfg";function _getGlobalValue(){var e;return(e=(e=(e=typeof globalThis!==UNDEFINED?globalThis:e)||typeof self===UNDEFINED?e:self)||typeof window===UNDEFINED?e:window)||typeof global===UNDEFINED?e:global}function _getGlobalConfig(){var e;return _globalCfg||(e=safe(_getGlobalValue).v||{},_globalCfg=e[GLOBAL_CONFIG_KEY]=e[GLOBAL_CONFIG_KEY]||{}),_globalCfg}var _unwrapFunction=_unwrapFunctionWithPoly;function _unwrapFunctionWithPoly(r,e,_){var a=e?e[r]:NULL_VALUE;return function(e){var t,n=(e?e[r]:NULL_VALUE)||a;if(n||_)return t=arguments,(n||_).apply(e,n?ArrSlice[CALL](t,1):t);throwTypeError('"'+asString(r)+'" not defined for '+dumpObj(e))}}var mathMax=_pureRef(MathCls,"max"),strSlice=_unwrapFunctionWithPoly("slice",StrProto),strSubstring=_unwrapFunctionWithPoly("substring",StrProto),strSubstr=_unwrapFunctionWithPoly("substr",StrProto,polyStrSubstr);function polyStrSubstr(e,t,n){return isNullOrUndefined(e)&&throwTypeError("Invalid "+dumpObj(e)),n<0?EMPTY:((t=t||0)<0&&(t=mathMax(t+e[LENGTH],0)),isUndefined(n)?strSlice(e,t):strSlice(e,t,t+n))}function strLeft(e,t){return strSubstring(e,0,t)}var _polySymbols,_wellKnownSymbolCache,_globalLazyTestHooks,UNIQUE_REGISTRY_ID="_urid";function _globalSymbolRegistry(){var e;return _polySymbols||(e=_getGlobalConfig(),_polySymbols=e.gblSym=e.gblSym||{k:{},s:{}}),_polySymbols}function polyNewSymbol(e){var t={description:asString(e),toString:function(){return SYMBOL+"("+e+")"}};return t[POLYFILL_TAG]=!0,t}function polySymbolFor(e){var t,n,r=_globalSymbolRegistry();return objHasOwn(r.k,e)||(t=polyNewSymbol(e),n=objKeys(r.s).length,t[UNIQUE_REGISTRY_ID]=function(){return n+"_"+t[TO_STRING]()},r.k[e]=t,r.s[t[UNIQUE_REGISTRY_ID]()]=asString(e)),r.k[e]}function polyGetKnownSymbol(e){_wellKnownSymbolCache=_wellKnownSymbolCache||{};e=_wellKnownSymbolMap[e];return e?_wellKnownSymbolCache[e]=_wellKnownSymbolCache[e]||polyNewSymbol(SYMBOL+"."+e):void 0}function _initTestHooks(){_globalLazyTestHooks=_getGlobalConfig()}function createCachedValue(e){return objDefineProp({toJSON:function(){return e}},"v",{value:e})}var _cachedGlobal,WINDOW="window";function _getGlobalInstFn(e,t){var n;return function(){return _globalLazyTestHooks||_initTestHooks(),(n=n&&!_globalLazyTestHooks.lzy?n:createCachedValue(safe(e,t).v)).v}}function getGlobal(e){return _globalLazyTestHooks||_initTestHooks(),(_cachedGlobal=_cachedGlobal&&!1!==e&&!_globalLazyTestHooks.lzy?_cachedGlobal:createCachedValue(safe(_getGlobalValue).v||NULL_VALUE)).v}function getInst(e,t){t=_cachedGlobal&&!1!==t?_cachedGlobal.v:getGlobal(t);if(t&&t[e])return t[e];if(e===WINDOW)try{return window}catch(n){}return NULL_VALUE}var getDocument=_getGlobalInstFn(getInst,["document"]);function hasWindow(){return!!getWindow()}var _symbol,_symbolFor,_iterSymbol$1,getWindow=_getGlobalInstFn(getInst,[WINDOW]),getNavigator=_getGlobalInstFn(getInst,["navigator"]),isWebWorker=_getGlobalInstFn(function(){return!!safe(function(){return self&&self instanceof WorkerGlobalScope}).v});function _initSymbol(){return _symbol=createCachedValue(safe(getInst,[SYMBOL]).v)}function _getSymbolKey(e){var t=(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol();return t.v?t.v[e]:UNDEF_VALUE}function getKnownSymbol(e,t){var n=_wellKnownSymbolMap[e],r=(_globalLazyTestHooks||_initTestHooks(),(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol());return r.v?r.v[n||e]:t?UNDEF_VALUE:polyGetKnownSymbol(e)}function newSymbol(e,t){_globalLazyTestHooks||_initTestHooks();var n=(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol();return n.v?n.v(e):t?NULL_VALUE:polyNewSymbol(e)}function symbolFor(e){return _globalLazyTestHooks||_initTestHooks(),((_symbolFor=(_globalLazyTestHooks.lzy?0:_symbolFor)||createCachedValue(safe(_getSymbolKey,["for"]).v)).v||polySymbolFor)(e)}function isIterator(e){return!!e&&isFunction(e.next)}function isIterable(e){return!isStrictNullOrUndefined(e)&&isFunction(e[getKnownSymbol(3)])}function iterForOf(e,t,n){if(e&&(isIterator(e)||(e=e[(_iterSymbol$1=_iterSymbol$1||createCachedValue(getKnownSymbol(3))).v]?e[_iterSymbol$1.v]():NULL_VALUE),isIterator(e))){var r=UNDEF_VALUE,_=UNDEF_VALUE;try{for(var a=0;!(_=e.next()).done&&-1!==t[CALL](n||e,_.value,a,e);)a++}catch(o){r={e:o},e["throw"]&&(_=NULL_VALUE,e["throw"](r))}finally{try{_&&!_.done&&e["return"]&&e["return"](_)}finally{if(r)throw r.e}}}}function fnApply(e,t,n){return e.apply(t,n)}function arrAppend(t,e){return!isUndefined(e)&&t&&(isArray(e)?fnApply(t.push,t,e):isIterator(e)||isIterable(e)?iterForOf(e,function(e){t.push(e)}):t.push(e)),t}function arrForEach(e,t,n){if(e)for(var r=e[LENGTH]>>>0,_=0;_<r&&!(_ in e&&-1===t[CALL](n||e,e[_],_,e));_++);}var _isProtoArray,arrIndexOf=_unwrapFunctionWithPoly("indexOf",ArrProto),objCreate=_pureAssign(_pureRef(ObjClass,"create"),polyObjCreate);function polyObjCreate(e){if(!e)return{};var t=typeof e;function n(){}return t!==OBJECT&&t!==FUNCTION&&throwTypeError("Prototype must be an Object or function: "+dumpObj(e)),n[PROTOTYPE]=e,new n}function objSetPrototypeOf(e,t){return(ObjClass.setPrototypeOf||function(n,e){var t;(_isProtoArray=_isProtoArray||createCachedValue(((t={})[__PROTO__]=[],t instanceof Array))).v?n[__PROTO__]=e:objForEachKey(e,function(e,t){return n[e]=t})})(e,t)}function _createCustomError(e,t,n){function r(){this[CONSTRUCTOR]=t,safe(objDefine,[this,NAME,{v:e,c:!0,e:!1}])}return safe(objDefine,[t,NAME,{v:e,c:!0,e:!1}]),(t=objSetPrototypeOf(t,n))[PROTOTYPE]=n===NULL_VALUE?objCreate(n):(r[PROTOTYPE]=n[PROTOTYPE],new r),t}function _setName(e,t){t&&(e[NAME]=t)}function createCustomError(_,a,e){var o=e||Error,i=o[PROTOTYPE][NAME],s=Error.captureStackTrace;return _createCustomError(_,function(){var e=this,t=arguments;try{safe(_setName,[o,_]);var n,r=fnApply(o,e,ArrSlice[CALL](t))||e;return r!==e&&(n=objGetPrototypeOf(e))!==objGetPrototypeOf(r)&&objSetPrototypeOf(r,n),s&&s(r,e[CONSTRUCTOR]),a&&a(r,t),r}finally{safe(_setName,[o,i])}},o)}function utcNow(){return(Date.now||polyUtcNow)()}function polyUtcNow(){return(new Date).getTime()}function _createTrimFn(t){return function(e){return isNullOrUndefined(e)&&throwTypeError("strTrim called ["+dumpObj(e)+"]"),e&&e.replace?e.replace(t,EMPTY):e}}var _fnToString,_objCtrFnString,_gblWindow,_perf,polyStrTrim=_createTrimFn(/^\s+|(?=\s)\s+$/g),strTrim=_unwrapFunctionWithPoly("trim",StrProto,polyStrTrim);function isPlainObject(e){if(!e||typeof e!==OBJECT)return!1;var t=!1;if(e!==(_gblWindow=_gblWindow||!hasWindow()||getWindow())){_objCtrFnString||(_fnToString=Function[PROTOTYPE][TO_STRING],_objCtrFnString=_fnToString[CALL](ObjClass));try{var n=objGetPrototypeOf(e),t=(t=!n)||!(!(n=objHasOwnProperty(n,CONSTRUCTOR)?n[CONSTRUCTOR]:n)||typeof n!==FUNCTION||_fnToString[CALL](n)!==_objCtrFnString)}catch(r){}}return t}function getPerformance(){return _globalLazyTestHooks||_initTestHooks(),(_perf=_perf&&!_globalLazyTestHooks.lzy?_perf:createCachedValue(safe(getInst,["performance"]).v)).v}var strSplit=_unwrapFunctionWithPoly("split",StrProto),strIndexOf=_unwrapFunctionWithPoly("indexOf",StrProto),REF="ref",UNREF="unref",HAS_REF="hasRef",ENABLED="enabled";function _createTimerHandler(e,t,n){var r,_=!0,a=e?t(NULL_VALUE):NULL_VALUE;function o(){return _=!1,a&&a[UNREF]&&a[UNREF](),r}function i(){a&&n(a),a=NULL_VALUE}function s(){return a=t(a),_||o(),r}return(r={cancel:i,refresh:s})[HAS_REF]=function(){return a&&a[HAS_REF]?a[HAS_REF]():_},r[REF]=function(){return _=!0,a&&a[REF]&&a[REF](),r},r[UNREF]=o,{h:r=objDefineProp(r,ENABLED,{get:function(){return!!a},set:function(e){!e&&a&&i(),e&&!a&&s()}}),dn:function(){a=NULL_VALUE}}}function _createTimeoutWith(e,t,n){var r=isArray(t),_=r?t.length:0,a=(0<_?t[0]:r?UNDEF_VALUE:t)||setTimeout,o=(1<_?t[1]:UNDEF_VALUE)||clearTimeout,i=n[0],s=(n[0]=function(){s.dn(),fnApply(i,UNDEF_VALUE,ArrSlice[CALL](arguments))},_createTimerHandler(e,function(e){if(e){if(e.refresh)return e.refresh(),e;fnApply(o,UNDEF_VALUE,[e])}return fnApply(a,UNDEF_VALUE,n)},function(e){fnApply(o,UNDEF_VALUE,[e])}));return s.h}function scheduleTimeout(e,t){return _createTimeoutWith(!0,UNDEF_VALUE,ArrSlice[CALL](arguments))}(getGlobal()||{}).Symbol,(getGlobal()||{}).Reflect;var _a$3,strHasOwnProperty="hasOwnProperty",__objAssignFnImpl=function(e){for(var t,n=1,r=arguments.length;n<r;n++)for(var _ in t=arguments[n])ObjProto$1[strHasOwnProperty].call(t,_)&&(e[_]=t[_]);return e},__assignFn=objAssign||__objAssignFnImpl,extendStaticsFn=function(e,t){return(extendStaticsFn=ObjClass$1.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t[strHasOwnProperty](n)&&(e[n]=t[n])})(e,t)};function __extendsFn(e,t){function n(){this.constructor=e}typeof t!==strShimFunction&&null!==t&&throwTypeError("Class extends value "+t+" is not a constructor or null"),extendStaticsFn(e,t),e[strShimPrototype]=null===t?objCreate(t):(n[strShimPrototype]=t[strShimPrototype],new n)}var Constructor="constructor",Prototype="prototype",strFunction="function",DynInstFuncTable="_dynInstFuncs",DynProxyTag="_isDynProxy",DynClassName="_dynClass",DynClassNamePrefix="_dynCls$",DynInstChkTag="_dynInstChk",DynAllowInstChkTag=DynInstChkTag,DynProtoDefaultOptions="_dfOpts",UnknownValue="_unknown_",str__Proto="__proto__",DynProtoBaseProto="_dyn"+str__Proto,DynProtoGlobalSettings="__dynProto$Gbl",DynProtoCurrent="_dynInstProto",strUseBaseInst="useBaseInst",strSetInstFuncs="setInstFuncs",Obj=Object,_objGetPrototypeOf=Obj.getPrototypeOf,_objGetOwnProps=Obj.getOwnPropertyNames,_gbl=getGlobal(),_gblInst=_gbl[DynProtoGlobalSettings]||(_gbl[DynProtoGlobalSettings]={o:((_a$3={})[strSetInstFuncs]=!0,_a$3[strUseBaseInst]=!0,_a$3),n:1e3});function _isObjectOrArrayPrototype(e){return e&&(e===Obj[Prototype]||e===Array[Prototype])}function _isObjectArrayOrFunctionPrototype(e){return _isObjectOrArrayPrototype(e)||e===Function[Prototype]}function _getObjProto$1(e){if(e){if(_objGetPrototypeOf)return _objGetPrototypeOf(e);var t=e[str__Proto]||e[Prototype]||(e[Constructor]?e[Constructor][Prototype]:null),n=e[DynProtoBaseProto]||t;objHasOwnProperty(e,DynProtoBaseProto)||(delete e[DynProtoCurrent],n=e[DynProtoBaseProto]=e[DynProtoCurrent]||e[DynProtoBaseProto],e[DynProtoCurrent]=t)}return n}function _forEachProp(e,t){var n=[];if(_objGetOwnProps)n=_objGetOwnProps(e);else for(var r in e)"string"==typeof r&&objHasOwnProperty(e,r)&&n.push(r);if(n&&0<n.length)for(var _=0;_<n.length;_++)t(n[_])}function _isDynamicCandidate(e,t,n){return t!==Constructor&&typeof e[t]===strFunction&&(n||objHasOwnProperty(e,t))&&t!==str__Proto&&t!==Prototype}function _throwTypeError(e){throwTypeError("DynamicProto: "+e)}function _getInstanceFuncs(t){var n=objCreate(null);return _forEachProp(t,function(e){!n[e]&&_isDynamicCandidate(t,e,!1)&&(n[e]=t[e])}),n}function _hasVisited(e,t){for(var n=e.length-1;0<=n;n--)if(e[n]===t)return!0;return!1}function _getBaseFuncs(e,t,n,a){function r(e,t,n){var r,_=t[n];return _[DynProxyTag]&&a&&!1!==(r=e[DynInstFuncTable]||{})[DynAllowInstChkTag]&&(_=(r[t[DynClassName]]||{})[n]||_),function(){return _.apply(e,arguments)}}for(var _=objCreate(null),o=(_forEachProp(n,function(e){_[e]=r(t,n,e)}),_getObjProto$1(e)),i=[];o&&!_isObjectArrayOrFunctionPrototype(o)&&!_hasVisited(i,o);)_forEachProp(o,function(e){!_[e]&&_isDynamicCandidate(o,e,!_objGetPrototypeOf)&&(_[e]=r(t,o,e))}),i.push(o),o=_getObjProto$1(o);return _}function _getInstFunc(e,t,n,r){var _=null;if(e&&objHasOwnProperty(n,DynClassName)){var a=e[DynInstFuncTable]||objCreate(null);if((_=(a[n[DynClassName]]||objCreate(null))[t])||_throwTypeError("Missing ["+t+"] "+strFunction),!_[DynInstChkTag]&&!1!==a[DynAllowInstChkTag]){for(var o=!objHasOwnProperty(e,t),i=_getObjProto$1(e),s=[];o&&i&&!_isObjectArrayOrFunctionPrototype(i)&&!_hasVisited(s,i);){var c=i[t];if(c){o=c===r;break}s.push(i),i=_getObjProto$1(i)}try{o&&(e[t]=_),_[DynInstChkTag]=1}catch(u){a[DynAllowInstChkTag]=!1}}}return _}function _getProtoFunc(e,t,n){var r=t[e];return typeof(r=r===n?_getObjProto$1(t)[e]:r)!==strFunction&&_throwTypeError("["+e+"] is not a "+strFunction),r}function _populatePrototype(_,e,a,o,t){var n,i;_isObjectOrArrayPrototype(_)||_isObjectOrArrayPrototype(n=a[DynInstFuncTable]=a[DynInstFuncTable]||objCreate(null))||(i=n[e]=n[e]||objCreate(null),!1!==n[DynAllowInstChkTag]&&(n[DynAllowInstChkTag]=!!t),_isObjectOrArrayPrototype(i)||_forEachProp(a,function(e){var t,n,r;_isDynamicCandidate(a,e,!1)&&a[e]!==o[e]&&(i[e]=a[e],delete a[e],objHasOwnProperty(_,e)&&(!_[e]||_[e][DynProxyTag])||(_[e]=(t=_,n=e,(r=function(){return(_getInstFunc(this,n,t,r)||_getProtoFunc(n,t,r)).apply(this,arguments)})[DynProxyTag]=1,r)))}))}function _checkPrototype(e,t){if(_objGetPrototypeOf){for(var n=[],r=_getObjProto$1(t);r&&!_isObjectArrayOrFunctionPrototype(r)&&!_hasVisited(n,r);){if(r===e)return!0;n.push(r),r=_getObjProto$1(r)}return!1}return!0}function _getObjName(e,t){return objHasOwnProperty(e,Prototype)?e.name||t||UnknownValue:((e||{})[Constructor]||{}).name||t||UnknownValue}function dynamicProto(e,t,n,r){objHasOwnProperty(e,Prototype)||_throwTypeError("theClass is an invalid class definition.");var _=e[Prototype],a=(_checkPrototype(_,t)||_throwTypeError("["+_getObjName(e)+"] not in hierarchy of ["+_getObjName(t)+"]"),null),e=(objHasOwnProperty(_,DynClassName)?a=_[DynClassName]:(a=DynClassNamePrefix+_getObjName(e,"_")+"$"+_gblInst.n,_gblInst.n++,_[DynClassName]=a),dynamicProto[DynProtoDefaultOptions]),o=!!e[strUseBaseInst],i=(o&&r&&r[strUseBaseInst]!==undefined&&(o=!!r[strUseBaseInst]),_getInstanceFuncs(t)),o=(n(t,_getBaseFuncs(_,t,i,o)),!!_objGetPrototypeOf&&!!e[strSetInstFuncs]);_populatePrototype(_,a,t,i,!1!==(o=o&&r?!!r[strSetInstFuncs]:o))}dynamicProto[DynProtoDefaultOptions]=_gblInst.o;var aggregationErrorType,createValueMap=createTypeMap,_DYN_TO_LOWER_CASE$2="toLowerCase",_DYN_BLK_VAL="blkVal",_DYN_LENGTH$2="length",_DYN_RD_ONLY="rdOnly",_DYN_NOTIFY="notify",_DYN_WARN_TO_CONSOLE="warnToConsole",_DYN_THROW_INTERNAL="throwInternal",_DYN_SET_DF="setDf",_DYN_WATCH="watch",_DYN_LOGGER="logger",_DYN_APPLY="apply",_DYN_PUSH="push",_DYN_SPLICE="splice",_DYN_HDLR="hdlr",_DYN_CANCEL="cancel",_DYN_INITIALIZE="initialize",_DYN_IDENTIFIER="identifier",_DYN_IS_INITIALIZED="isInitialized",_DYN_GET_PLUGIN="getPlugin",_DYN_NAME$2="name",_DYN_TIME="time",_DYN_PROCESS_NEXT="processNext",_DYN_GET_PROCESS_TEL_CONT2="getProcessTelContext",_DYN_UNLOAD="unload",_DYN_VERSION="version",_DYN_LOGGING_LEVEL_CONSOL4="loggingLevelConsole",_DYN_CREATE_NEW="createNew",_DYN_TEARDOWN="teardown",_DYN_MESSAGE_ID="messageId",_DYN_MESSAGE="message",_DYN_IS_ASYNC="isAsync",_DYN_DIAG_LOG="diagLog",_DYN__DO_TEARDOWN="_doTeardown",_DYN_UPDATE="update",_DYN_GET_NEXT="getNext",_DYN_SET_NEXT_PLUGIN="setNextPlugin",_DYN_USER_AGENT="userAgent",_DYN_SPLIT$1="split",_DYN_NODE_TYPE="nodeType",_DYN_REPLACE="replace",_DYN_LOG_INTERNAL_MESSAGE="logInternalMessage",_DYN_TYPE="type",_DYN_HANDLER="handler",_DYN_IS_CHILD_EVT="isChildEvt",_DYN_GET_CTX="getCtx",_DYN_SET_CTX="setCtx",_DYN_COMPLETE="complete",_DYN_TRACE_ID$1="traceId",_DYN_SPAN_ID$1="spanId",_DYN_TRACE_FLAGS$1="traceFlags";function throwAggregationError(e,t){aggregationErrorType=aggregationErrorType||createCustomError("AggregationError",function(e,t){1<t[_DYN_LENGTH$2]&&(e.errors=t[1])});var n=e||"One or more errors occurred.";throw arrForEach(t,function(e,t){n+="\n".concat(t," > ").concat(dumpObj(e))}),new aggregationErrorType(n,t||[])}var UNDEFINED_VALUE=undefined,STR_EMPTY="",STR_CORE="core",STR_DISABLED="disabled",STR_EXTENSION_CONFIG="extensionConfig",STR_PROCESS_TELEMETRY="processTelemetry",STR_PRIORITY="priority",STR_GET_PERF_MGR="getPerfMgr",STR_NOT_DYNAMIC_ERROR="Not dynamic - ",strGetPrototypeOf="getPrototypeOf",rCamelCase=/-([a-z])/g,rNormalizeInvalid=/([^\w\d_$])/g,rLeadingNumeric=/^(\d+[\w\d_$])/,_getObjProto=Object[strGetPrototypeOf];function isNotNullOrUndefined(e){return!isNullOrUndefined(e)}function normalizeJsName(e){return e&&isString(e)?(e=(e=e[_DYN_REPLACE](rCamelCase,function(e,t){return t.toUpperCase()}))[_DYN_REPLACE](rNormalizeInvalid,"_"))[_DYN_REPLACE](rLeadingNumeric,function(e,t){return"_"+t}):e}function strContains(e,t){return!(!e||!t)&&-1!==strIndexOf(e,t)}function toISOString(e){return e&&e.toISOString()||""}function getExceptionName(e){return isError(e)?e[_DYN_NAME$2]:STR_EMPTY}function _createProxyFunction(e,t){var n=null,r=null;return isFunction(e)?n=e:r=e,function(){var e=arguments;if(r=n?n():r)return r[t][_DYN_APPLY](r,e)}}function proxyFunctionAs(e,t,n,r,_){e&&t&&n&&(!1===_&&!isUndefined(e[t])||(e[t]=_createProxyFunction(n,r)))}function createClassFromInterface(e){return function(){var n=this;e&&objForEachKey(e,function(e,t){n[e]=t})}}var strDocumentMode="documentMode",strLocation="location",strConsole="console",strJSON="JSON",strCrypto="crypto",strMsCrypto="msCrypto",strMsie="msie",strTrident="trident/",strXMLHttpRequest="XMLHttpRequest",_isTrident=null,_navUserAgentCheck=null,_enableMocks=!1;function getLocation(e){if(e&&_enableMocks){e=getInst("__mockLocation");if(e)return e}return typeof location===strShimObject&&location?location:getInst(strLocation)}function getConsole(){return typeof console!==strShimUndefined?console:getInst(strConsole)}function hasJSON(){return!!(typeof JSON===strShimObject&&JSON||null!==getInst(strJSON))}function getJSON(){return hasJSON()?JSON||getInst(strJSON):null}function getCrypto(){return getInst(strCrypto)}function getMsCrypto(){return getInst(strMsCrypto)}function isIE(){var e=getNavigator();return!e||e[_DYN_USER_AGENT]===_navUserAgentCheck&&null!==_isTrident||(e=((_navUserAgentCheck=e[_DYN_USER_AGENT])||STR_EMPTY)[_DYN_TO_LOWER_CASE$2](),_isTrident=strContains(e,strMsie)||strContains(e,strTrident)),_isTrident}function getIEVersion(e){var t=((e=(e=void 0===e?null:e)?e:(t=getNavigator()||{})?(t.userAgent||STR_EMPTY)[_DYN_TO_LOWER_CASE$2]():STR_EMPTY)||STR_EMPTY)[_DYN_TO_LOWER_CASE$2]();if(strContains(t,strMsie))return e=getDocument()||{},Math.max(parseInt(t[_DYN_SPLIT$1](strMsie)[1]),e[strDocumentMode]||0);if(strContains(t,strTrident)){e=parseInt(t[_DYN_SPLIT$1](strTrident)[1]);if(e)return e+4}return null}function isXhrSupported(){var e=!1;try{e=!!getInst(strXMLHttpRequest)}catch(t){}return e}var UInt32Mask=4294967296,MaxUInt32=4294967295,SEED1=123456789,SEED2=987654321,_mwcSeeded=!1,_mwcW=SEED1,_mwcZ=SEED2;function _mwcSeed(e){e<0&&(e>>>=0),_mwcW=SEED1+e&MaxUInt32,_mwcZ=SEED2-e&MaxUInt32,_mwcSeeded=!0}function _autoSeedMwc(){try{var e=2147483647&utcNow();_mwcSeed((Math.random()*UInt32Mask^e)+e)}catch(t){}}function random32(e){var t=0,n=getCrypto()||getMsCrypto();return 0===(t=n&&n.getRandomValues?n.getRandomValues(new Uint32Array(1))[0]&MaxUInt32:t)&&isIE()&&(_mwcSeeded||_autoSeedMwc(),t=mwcRandom32()&MaxUInt32),0===t&&(t=Math.floor(UInt32Mask*Math.random()|0)),e||(t>>>=0),t}function mwcRandom32(e){var t=((_mwcZ=36969*(65535&_mwcZ)+(_mwcZ>>16)&MaxUInt32)<<16)+(65535&(_mwcW=18e3*(65535&_mwcW)+(_mwcW>>16)&MaxUInt32))>>>0&MaxUInt32|0;return e||(t>>>=0),t}function newId(e){void 0===e&&(e=22);for(var t=random32()>>>0,n=0,r=STR_EMPTY;r[_DYN_LENGTH$2]<e;)r+="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"[0|63&t]||"",t>>>=6,5==++n&&(t=(random32()<<2&4294967295|3&t)>>>0,n=0);return r}var version="3.3.5",instanceName="."+newId(6),_dataUid=0;function _canAcceptData(e){return 1===e[_DYN_NODE_TYPE]||9===e[_DYN_NODE_TYPE]||!+e[_DYN_NODE_TYPE]}function _getCache(e,t){var n=t[e.id];if(!n){n={};try{_canAcceptData(t)&&objDefine(t,e.id,{e:!1,v:n})}catch(r){}}return n}function createUniqueNamespace(e,t){return normalizeJsName(e+_dataUid+++((t=void 0!==t&&t)?"."+version:STR_EMPTY)+instanceName)}function createElmNodeData(e){var a={id:createUniqueNamespace("_aiData-"+(e||STR_EMPTY)+"."+version),accept:function(e){return _canAcceptData(e)},get:function(e,t,n,r){var _=e[a.id];return _?_[normalizeJsName(t)]:(r&&((_=_getCache(a,e))[normalizeJsName(t)]=n),n)},kill:function(e,t){if(e&&e[t])try{delete e[t]}catch(n){}}};return a}function _isConfigDefaults(e){return e&&isObject(e)&&(e.isVal||e.fb||objHasOwn(e,"v")||objHasOwn(e,"mrg")||objHasOwn(e,"ref")||e.set)}function _getDefault(e,t,n){var r,_=n.dfVal||isDefined;if(t&&n.fb){var a=n.fb;isArray(a)||(a=[a]);for(var o=0;o<a[_DYN_LENGTH$2];o++){var i=a[o],s=t[i];if(_(s)?r=s:e&&(_(s=e.cfg[i])&&(r=s),e.set(e.cfg,asString(i),s)),_(r))break}}return!_(r)&&_(n.v)?n.v:r}function _resolveDefaultValue(n,r,e){var _,t=e;return(t=e&&_isConfigDefaults(e)?_getDefault(n,r,e):t)&&(_isConfigDefaults(t)&&(t=_resolveDefaultValue(n,r,t)),isArray(t)?(_=[])[_DYN_LENGTH$2]=t[_DYN_LENGTH$2]:isPlainObject(t)&&(_={}),_&&(objForEachKey(t,function(e,t){t&&_isConfigDefaults(t)&&(t=_resolveDefaultValue(n,r,t)),_[e]=t}),t=_)),t}function _applyDefaultValue(n,e,t,r){var _,a,o,i,s,c,u=r,u=_isConfigDefaults(u)?(_=u.isVal,a=u.set,s=u[_DYN_RD_ONLY],l=u[_DYN_BLK_VAL],o=u.mrg,!(i=u.ref)&&isUndefined(i)&&(i=!!o),_getDefault(n,e,u)):r,r=(l&&n[_DYN_BLK_VAL](e,t),!0),l=e[t];!l&&isNullOrUndefined(l)||(c=l,r=!1,_&&c!==u&&!_(c)&&(c=u,r=!0),a&&(r=(c=a(c,u,e))===u)),r?c=u&&_resolveDefaultValue(n,e,u):(isPlainObject(c)||isArray(u))&&o&&u&&(isPlainObject(u)||isArray(u))&&objForEachKey(u,function(e,t){_applyDefaultValue(n,c,e,t)}),n.set(e,t,c),i&&n.ref(e,t),s&&n[_DYN_RD_ONLY](e,t)}var CFG_HANDLER_LINK=symbolFor("[[ai_dynCfg_1]]"),BLOCK_DYNAMIC=symbolFor("[[ai_blkDynCfg_1]]"),FORCE_DYNAMIC=symbolFor("[[ai_frcDynCfg_1]]");function _cfgDeepCopy(e){var n;return e&&(isArray(e)?(n=[])[_DYN_LENGTH$2]=e[_DYN_LENGTH$2]:isPlainObject(e)&&(n={}),n)?(objForEachKey(e,function(e,t){n[e]=_cfgDeepCopy(t)}),n):e}function getDynamicConfigHandler(e){if(e){var t=e[CFG_HANDLER_LINK]||e;if(t.cfg&&(t.cfg===e||t.cfg[CFG_HANDLER_LINK]===t))return t}return null}function blockDynamicConversion(e){if(e&&(isPlainObject(e)||isArray(e)))try{e[BLOCK_DYNAMIC]=!0}catch(t){}return e}function _canMakeDynamic(e,t,n){var r=!1;return!n||e[t.blkVal]||(r=n[FORCE_DYNAMIC])||n[BLOCK_DYNAMIC]?r:isPlainObject(n)||isArray(n)}function throwInvalidAccess(e){throwTypeError("InvalidAccess:"+e)}var arrayMethodsToPatch=["push","pop","shift","unshift","splice"],_throwDynamicError=function(e,t,n,r){e&&e[_DYN_THROW_INTERNAL](3,108,"".concat(n," [").concat(t,"] failed - ")+dumpObj(r))};function _patchArray(_,a,o){isArray(a)&&arrForEach(arrayMethodsToPatch,function(e){var r=a[e];a[e]=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=r[_DYN_APPLY](this,e);return _makeDynamicObject(_,a,o,"Patching"),n}})}function _getOwnPropGetter(e,t){e=objGetOwnPropertyDescriptor(e,t);return e&&e.get}function _createDynamicProperty(_,a,o,i){var s={n:o,h:[],trk:function(e){e&&e.fn&&(-1===arrIndexOf(s.h,e)&&s.h[_DYN_PUSH](e),_.trk(e,s))},clr:function(e){e=arrIndexOf(s.h,e);-1!==e&&s.h[_DYN_SPLICE](e,1)}},c=!0,u=!1;function l(){c&&(u=u||_canMakeDynamic(l,_,i),i&&!i[CFG_HANDLER_LINK]&&u&&(i=_makeDynamicObject(_,i,o,"Converting")),c=!1);var e=_.act;return e&&s.trk(e),i}l[_.prop]={chng:function(){_.add(s)}},objDefine(a,s.n,{g:l,s:function(t){if(i!==t){l[_.ro]&&!_.upd&&throwInvalidAccess("["+o+"] is read-only:"+dumpObj(a)),c&&(u=u||_canMakeDynamic(l,_,i),c=!1);var e,n=u&&l[_.rf];if(u)if(n){objForEachKey(i,function(e){i[e]=t?t[e]:UNDEFINED_VALUE});try{objForEachKey(t,function(e,t){_setDynamicProperty(_,i,e,t)}),t=i}catch(r){_throwDynamicError((_.hdlr||{})[_DYN_LOGGER],o,"Assigning",r),u=!1}}else i&&i[CFG_HANDLER_LINK]&&objForEachKey(i,function(e){var e=_getOwnPropGetter(i,e);e&&(e=e[_.prop])&&e.chng()});t!==i&&(e=t&&_canMakeDynamic(l,_,t),!n&&e&&(t=_makeDynamicObject(_,t,o,"Converting")),i=t,u=e),_.add(s)}}})}function _setDynamicProperty(e,t,n,r){var _;return t&&((_=_getOwnPropGetter(t,n))&&_[e.prop]?t[n]=r:_createDynamicProperty(e,t,n,r)),t}function _setDynamicPropertyState(e,t,n,r){if(t){var _=_getOwnPropGetter(t,n),a=_&&!!_[e.prop],o=r&&r[0],i=r&&r[1],r=r&&r[2];if(!a){if(r)try{blockDynamicConversion(t)}catch(s){_throwDynamicError((e.hdlr||{})[_DYN_LOGGER],n,"Blocking",s)}try{_setDynamicProperty(e,t,n,t[n]),_=_getOwnPropGetter(t,n)}catch(s){_throwDynamicError((e.hdlr||{})[_DYN_LOGGER],n,"State",s)}}o&&(_[e.rf]=o),i&&(_[e.ro]=i),r&&(_[e.blkVal]=!0)}return t}function _makeDynamicObject(n,r,e,t){try{objForEachKey(r,function(e,t){_setDynamicProperty(n,r,e,t)}),r[CFG_HANDLER_LINK]||(objDefineProp(r,CFG_HANDLER_LINK,{get:function(){return n[_DYN_HDLR]}}),_patchArray(n,r,e))}catch(_){_throwDynamicError((n.hdlr||{})[_DYN_LOGGER],e,t,_)}return r}var symPrefix="[[ai_",symPostfix="]]";function _createState(a){var o,e=newSymbol(symPrefix+"get"+a.uid+symPostfix),t=newSymbol(symPrefix+"ro"+a.uid+symPostfix),n=newSymbol(symPrefix+"rf"+a.uid+symPostfix),r=newSymbol(symPrefix+"blkVal"+a.uid+symPostfix),i=newSymbol(symPrefix+"dtl"+a.uid+symPostfix),_=null,s=null;function c(t,e){var n=o.act;try{(o.act=t)&&t[i]&&(arrForEach(t[i],function(e){e.clr(t)}),t[i]=[]),e({cfg:a.cfg,set:a.set.bind(a),setDf:a[_DYN_SET_DF].bind(a),ref:a.ref.bind(a),rdOnly:a[_DYN_RD_ONLY].bind(a)})}catch(_){var r=a[_DYN_LOGGER];throw r&&r[_DYN_THROW_INTERNAL](1,107,dumpObj(_)),_}finally{o.act=n||null}}function u(){if(_){var e=_,n=(_=null,s&&s[_DYN_CANCEL](),s=null,[]);if(arrForEach(e,function(t){if(t&&(t[i]&&(arrForEach(t[i],function(e){e.clr(t)}),t[i]=null),t.fn))try{c(t,t.fn)}catch(e){n[_DYN_PUSH](e)}}),_)try{u()}catch(t){n[_DYN_PUSH](t)}0<n[_DYN_LENGTH$2]&&throwAggregationError("Watcher error(s): ",n)}}return(e={prop:e,ro:t,rf:n})[_DYN_BLK_VAL]=r,e[_DYN_HDLR]=a,e.add=function(e){if(e&&0<e.h[_DYN_LENGTH$2]){_=_||[],s=s||scheduleTimeout(function(){s=null,u()},0);for(var t=0;t<e.h[_DYN_LENGTH$2];t++){var n=e.h[t];n&&-1===arrIndexOf(_,n)&&_[_DYN_PUSH](n)}}},e[_DYN_NOTIFY]=u,e.use=c,e.trk=function(e,t){e&&(e=e[i]=e[i]||[],-1===arrIndexOf(e,t)&&e[_DYN_PUSH](t))},o=e}function _createAndUseHandler(e,t){var n={fn:t,rm:function(){n.fn=null,t=e=null}};return objDefine(n,"toJSON",{v:function(){return"WatcherHandler"+(n.fn?"":"[X]")}}),e.use(n,t),n}function _createDynamicHandler(_,e,t){var n=getDynamicConfigHandler(e);if(n)return n;var a,n=createUniqueNamespace("dyncfg",!0),t=e&&!1!==t?e:_cfgDeepCopy(e),r=((e={uid:null,cfg:t})[_DYN_LOGGER]=_,e[_DYN_NOTIFY]=function(){a[_DYN_NOTIFY]()},e.set=function(e,t,n){try{e=_setDynamicProperty(a,e,t,n)}catch(r){_throwDynamicError(_,t,"Setting value",r)}return e[t]},e[_DYN_SET_DF]=function(n,e){return e&&objForEachKey(e,function(e,t){_applyDefaultValue(r,n,e,t)}),n},e[_DYN_WATCH]=function(e){return _createAndUseHandler(a,e)},e.ref=function(e,t){return _setDynamicPropertyState(a,e,t,((e={})[0]=!0,e))[t]},e[_DYN_RD_ONLY]=function(e,t){return _setDynamicPropertyState(a,e,t,((e={})[1]=!0,e))[t]},e[_DYN_BLK_VAL]=function(e,t){return _setDynamicPropertyState(a,e,t,((e={})[2]=!0,e))[t]},e._block=function(n,r){a.use(null,function(e){var t=a.upd;try{isUndefined(r)||(a.upd=r),n(e)}finally{a.upd=t}})},e);return objDefine(r,"uid",{c:!1,e:!1,w:!1,v:n}),_makeDynamicObject(a=_createState(r),t,"config","Creating"),r}function _logInvalidAccess(e,t){e?(e[_DYN_WARN_TO_CONSOLE](t),e[_DYN_THROW_INTERNAL](2,108,t)):throwInvalidAccess(t)}function createDynamicConfig(e,t,n,r){n=_createDynamicHandler(n,e||{},r);return t&&n[_DYN_SET_DF](n.cfg,t),n}function onConfigChange(e,t,n){var r=e[CFG_HANDLER_LINK]||e;return!r.cfg||r.cfg!==e&&r.cfg[CFG_HANDLER_LINK]!==r?(_logInvalidAccess(n,STR_NOT_DYNAMIC_ERROR+dumpObj(e)),createDynamicConfig(e,null,n)[_DYN_WATCH](t)):r[_DYN_WATCH](t)}var _a$2,_aiNamespace=null;function _getExtensionNamespace(){var e=getInst("Microsoft");return _aiNamespace=e?e.ApplicationInsights:_aiNamespace}function getDebugExt(e){var t=_aiNamespace;return(t=t||!0===e.disableDbgExt?t:_aiNamespace||_getExtensionNamespace())?t.ChromeDbgExt:null}var STR_WARN_TO_CONSOLE="warnToConsole",AiNonUserActionablePrefix="AI (Internal): ",AiUserActionablePrefix="AI: ",AIInternalMessagePrefix="AITR_",defaultValues$1={loggingLevelConsole:0,loggingLevelTelemetry:1,maxMessageLimit:25,enableDebug:!1},_logFuncs=((_a$2={})[0]=null,_a$2[1]="errorToConsole",_a$2[2]=STR_WARN_TO_CONSOLE,_a$2[3]="debugToConsole",_a$2);function _sanitizeDiagnosticText(e){return e?'"'+e[_DYN_REPLACE](/\"/g,STR_EMPTY)+'"':STR_EMPTY}function _logToConsole(e,t){var n,r=getConsole();r&&(n="log",r[e]&&(n=e),isFunction(r[n])&&r[n](t))}var _InternalLogMessage=function(){function e(e,t,n,r){void 0===n&&(n=!1),this[_DYN_MESSAGE_ID]=e,this[_DYN_MESSAGE]=(n?AiUserActionablePrefix:AiNonUserActionablePrefix)+e;n=STR_EMPTY,hasJSON()&&(n=getJSON().stringify(r)),e=(t?" message:"+_sanitizeDiagnosticText(t):STR_EMPTY)+(r?" props:"+_sanitizeDiagnosticText(n):STR_EMPTY);this[_DYN_MESSAGE]+=e}return e.dataType="MessageData",e}();function safeGetLogger(e,t){return(e||{})[_DYN_LOGGER]||new DiagnosticLogger(t)}var DiagnosticLogger=function(){function e(r){this.identifier="DiagnosticLogger",this.queue=[];var s,_,c,u,t,l=0,E={};dynamicProto(e,this,function(a){function o(e,t){var n,r;c<=l||(r=!0,n=AIInternalMessagePrefix+t[_DYN_MESSAGE_ID],E[n]?r=!1:E[n]=!0,r&&(e<=_&&(a.queue[_DYN_PUSH](t),l++,i(1===e?"error":"warn",t)),l===c&&(r=new _InternalLogMessage(23,n="Internal events throttle limit per PageView reached for this app.",!1),a.queue[_DYN_PUSH](r),1===e?a.errorToConsole(n):a[_DYN_WARN_TO_CONSOLE](n))))}function i(e,t){var n=getDebugExt(r||{});n&&n[_DYN_DIAG_LOG]&&n[_DYN_DIAG_LOG](e,t)}t=onConfigChange(createDynamicConfig(r||{},defaultValues$1,a).cfg,function(e){e=e.cfg;s=e[_DYN_LOGGING_LEVEL_CONSOL4],_=e.loggingLevelTelemetry,c=e.maxMessageLimit,u=e.enableDebug}),a.consoleLoggingLevel=function(){return s},a[_DYN_THROW_INTERNAL]=function(e,t,n,r,_){t=new _InternalLogMessage(t,n,_=void 0!==_&&_,r);if(u)throw dumpObj(t);n=_logFuncs[e]||STR_WARN_TO_CONSOLE;isUndefined(t[_DYN_MESSAGE])?i("throw"+(1===e?"Critical":"Warning"),t):(_?(r=+t[_DYN_MESSAGE_ID],!E[r]&&e<=s&&(a[n](t[_DYN_MESSAGE]),E[r]=!0)):e<=s&&a[n](t[_DYN_MESSAGE]),o(e,t))},a.debugToConsole=function(e){_logToConsole("debug",e),i("warning",e)},a[_DYN_WARN_TO_CONSOLE]=function(e){_logToConsole("warn",e),i("warning",e)},a.errorToConsole=function(e){_logToConsole("error",e),i("error",e)},a.resetInternalMessageCount=function(){l=0,E={}},a[_DYN_LOG_INTERNAL_MESSAGE]=o,a[_DYN_UNLOAD]=function(e){t&&t.rm(),t=null}})}return e.__ieDyn=1,e}();function _getLogger(e){return e||new DiagnosticLogger}function _throwInternal(e,t,n,r,_,a){void 0===a&&(a=!1),_getLogger(e)[_DYN_THROW_INTERNAL](t,n,r,_,a)}var strExecutionContextKey="ctx",strParentContextKey="ParentContextKey",strChildrenContextKey="ChildrenContextKey",PerfEvent=function(){function a(e,t,n){var r,_=this;_.start=utcNow(),_[_DYN_NAME$2]=e,_[_DYN_IS_ASYNC]=n,_[_DYN_IS_CHILD_EVT]=function(){return!1},isFunction(t)&&objDefine(_,"payload",{g:function(){return!r&&isFunction(t)&&(r=t(),t=null),r}}),_[_DYN_GET_CTX]=function(e){return e?(e===a[strParentContextKey]||e===a[strChildrenContextKey]?_:_[strExecutionContextKey]||{})[e]:null},_[_DYN_SET_CTX]=function(e,t){e&&(e===a[strParentContextKey]?(_[e]||(_[_DYN_IS_CHILD_EVT]=function(){return!0}),_[e]=t):e===a[strChildrenContextKey]?_[e]=t:(_[strExecutionContextKey]=_[strExecutionContextKey]||{})[e]=t)},_[_DYN_COMPLETE]=function(){var e=0,t=_[_DYN_GET_CTX](a[strChildrenContextKey]);if(isArray(t))for(var n=0;n<t[_DYN_LENGTH$2];n++){var r=t[n];r&&(e+=r[_DYN_TIME])}_[_DYN_TIME]=utcNow()-_.start,_.exTime=_[_DYN_TIME]-e,_[_DYN_COMPLETE]=function(){}}}return a.ParentContextKey="parent",a.ChildrenContextKey="childEvts",a}(),doPerfActiveKey="CoreUtils.doPerf";function doPerf(e,t,n,r,_){if(e)if(e=e[STR_GET_PERF_MGR]?e[STR_GET_PERF_MGR]():e){var a,o=void 0,i=e[_DYN_GET_CTX](doPerfActiveKey);try{if(o=e.create(t(),r,_))return i&&o[_DYN_SET_CTX]&&(o[_DYN_SET_CTX](PerfEvent[strParentContextKey],i),i[_DYN_GET_CTX]&&i[_DYN_SET_CTX]&&((a=i[_DYN_GET_CTX](PerfEvent[strChildrenContextKey]))||(a=[],i[_DYN_SET_CTX](PerfEvent[strChildrenContextKey],a)),a[_DYN_PUSH](o))),e[_DYN_SET_CTX](doPerfActiveKey,o),n(o)}catch(s){o&&o[_DYN_SET_CTX]&&o[_DYN_SET_CTX]("exception",s)}finally{o&&e.fire(o),e[_DYN_SET_CTX](doPerfActiveKey,i)}}return n()}function generateW3CId(){for(var e,t=["0","1","2","3","4","5","6","7","8","9","a","b","c","d","e","f"],n=STR_EMPTY,r=0;r<4;r++)n+=t[15&(e=random32())]+t[e>>4&15]+t[e>>8&15]+t[e>>12&15]+t[e>>16&15]+t[e>>20&15]+t[e>>24&15]+t[e>>28&15];var _=t[8+(3&random32())|0];return strSubstr(n,0,8)+strSubstr(n,9,4)+"4"+strSubstr(n,13,3)+_+strSubstr(n,16,3)+strSubstr(n,19,12)}var DEFAULT_VERSION="00",INVALID_VERSION="ff",INVALID_TRACE_ID="00000000000000000000000000000000",INVALID_SPAN_ID="0000000000000000";function _isValid(e,t,n){return!(!e||e[_DYN_LENGTH$2]!==t||e===n||!e.match(/^[\da-f]*$/i))}function _formatValue(e,t,n){return _isValid(e,t)?e:n}function _formatFlags(e){for(var t=(e=isNaN(e)||e<0||255<e?1:e).toString(16);t[_DYN_LENGTH$2]<2;)t="0"+t;return t}function createTraceParent(e,t,n,r){var _={};return _[_DYN_VERSION]=_isValid(r,2,INVALID_VERSION)?r:DEFAULT_VERSION,_[_DYN_TRACE_ID$1]=isValidTraceId(e)?e:generateW3CId(),_[_DYN_SPAN_ID$1]=isValidSpanId(t)?t:strLeft(generateW3CId(),16),_.traceFlags=0<=n&&n<=255?n:1,_}function isValidTraceId(e){return _isValid(e,32,INVALID_TRACE_ID)}function isValidSpanId(e){return _isValid(e,16,INVALID_SPAN_ID)}function formatTraceParent(e){var t,n;return e?(_isValid(t=_formatFlags(e[_DYN_TRACE_FLAGS$1]),2)||(t="01"),n=e[_DYN_VERSION]||DEFAULT_VERSION,"".concat((n="00"!==n&&"ff"!==n?DEFAULT_VERSION:n).toLowerCase(),"-").concat(_formatValue(e.traceId,32,INVALID_TRACE_ID).toLowerCase(),"-").concat(_formatValue(e.spanId,16,INVALID_SPAN_ID).toLowerCase(),"-").concat(t.toLowerCase())):""}var pluginStateData=createElmNodeData("plugin");function _getPluginState(e){return pluginStateData.get(e,"state",{},!0)}var _a$1,strTelemetryPluginChain="TelemetryPluginChain",strHasRunFlags="_hasRun",strGetTelCtx="_getTelCtx",_chainId=0;function _getNextProxyStart(e,t,n){for(;e;){if(e[_DYN_GET_PLUGIN]()===n)return e;e=e[_DYN_GET_NEXT]()}return createTelemetryProxyChain([n],t.config||{},t)}function _createInternalContext(e,a,n,t){var r=null,_=[],o=(a=a||createDynamicConfig({},null,n[_DYN_LOGGER]),null!==t&&(r=t?_getNextProxyStart(e,n,t):e),{_next:function(){var e,t=r;return r=t?t[_DYN_GET_NEXT]():null,t||(e=_)&&0<e[_DYN_LENGTH$2]&&(arrForEach(e,function(e){try{e.func.call(e.self,e.args)}catch(t){_throwInternal(n[_DYN_LOGGER],2,73,"Unexpected Exception during onComplete - "+dumpObj(t))}}),_=[]),t},ctx:{core:function(){return n},diagLog:function(){return safeGetLogger(n,a.cfg)},getCfg:function(){return a.cfg},getExtCfg:function(e,t){var r=i(e,!0);return t&&objForEachKey(t,function(e,t){var n;!isNullOrUndefined(r[e])||!(n=a.cfg[e])&&isNullOrUndefined(n)||(r[e]=n),_applyDefaultValue(a,r,e,t)}),a[_DYN_SET_DF](r,t)},getConfig:function(e,t,n){void 0===n&&(n=!1);var r,e=i(e,!1),_=a.cfg;return!e||!e[t]&&isNullOrUndefined(e[t])?!_[t]&&isNullOrUndefined(_[t])||(r=_[t]):r=e[t],r||!isNullOrUndefined(r)?r:n},hasNext:function(){return!!r},getNext:function(){return r},setNext:function(e){r=e},iterate:function(e){for(;t=o._next();){var t=t[_DYN_GET_PLUGIN]();t&&e(t)}},onComplete:function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];e&&_[_DYN_PUSH]({func:e,self:isUndefined(t)?o.ctx:t,args:n})}}});function i(e,t){var n,r=null,_=a.cfg;return _&&e&&(n=_[STR_EXTENSION_CONFIG],_[STR_EXTENSION_CONFIG]=n=!n&&t?{}:n,(n=a.ref(_,STR_EXTENSION_CONFIG))&&(r=n[e],n[e]=r=!r&&t?{}:r,r=a.ref(n,e))),r}return o}function createProcessTelemetryContext(e,t,n,r){var _=createDynamicConfig(t),a=_createInternalContext(e,_,n,r),o=a.ctx;return o[_DYN_PROCESS_NEXT]=function(e){var t=a._next();return t&&t[STR_PROCESS_TELEMETRY](e,o),!t},o[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,_.cfg,n,t):e)||o[_DYN_GET_NEXT](),_.cfg,n,t)},o}function createProcessTelemetryUnloadContext(e,n,t){var r=createDynamicConfig(n.config),_=_createInternalContext(e,r,n,t),a=_.ctx;return a[_DYN_PROCESS_NEXT]=function(e){var t=_._next();return t&&t[_DYN_UNLOAD](a,e),!t},a[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryUnloadContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,r.cfg,n,t):e)||a[_DYN_GET_NEXT](),n,t)},a}function createProcessTelemetryUpdateContext(e,n,t){var r=createDynamicConfig(n.config),_=_createInternalContext(e,r,n,t).ctx;return _[_DYN_PROCESS_NEXT]=function(t){return _.iterate(function(e){isFunction(e[_DYN_UPDATE])&&e[_DYN_UPDATE](_,t)})},_[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryUpdateContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,r.cfg,n,t):e)||_[_DYN_GET_NEXT](),n,t)},_}function createTelemetryProxyChain(e,t,n,r){var _,a=null,o=!r;return isArray(e)&&0<e[_DYN_LENGTH$2]&&(_=null,arrForEach(e,function(e){(o=!o&&r===e||o)&&e&&isFunction(e[STR_PROCESS_TELEMETRY])&&(e=createTelemetryPluginProxy(e,t,n),a=a||e,_&&_._setNext(e),_=e)})),r&&!a?createTelemetryProxyChain([r],t,n):a}function createTelemetryPluginProxy(s,r,_){var c=null,a=isFunction(s[STR_PROCESS_TELEMETRY]),o=isFunction(s[_DYN_SET_NEXT_PLUGIN]),u=s?s[_DYN_IDENTIFIER]+"-"+s[STR_PRIORITY]+"-"+_chainId++:"Unknown-0-"+_chainId++,i={getPlugin:function(){return s},getNext:function(){return c},processTelemetry:function(n,e){var t;l(e=e||(t=(t=s&&isFunction(s[strGetTelCtx])?s[strGetTelCtx]():t)||createProcessTelemetryContext(i,r,_)),function(e){if(!s||!a)return!1;var t=_getPluginState(s);return!t[_DYN_TEARDOWN]&&!t[STR_DISABLED]&&(o&&s[_DYN_SET_NEXT_PLUGIN](c),s[STR_PROCESS_TELEMETRY](n,e),!0)},"processTelemetry",function(){return{item:n}},!n.sync)||e[_DYN_PROCESS_NEXT](n)},unload:function(r,_){l(r,function(){var e,t,n=!1;return s&&(e=_getPluginState(s),t=s[STR_CORE]||e[STR_CORE],!s||t&&t!==r.core()||e[_DYN_TEARDOWN]||(e[STR_CORE]=null,e[_DYN_TEARDOWN]=!0,e[_DYN_IS_INITIALIZED]=!1,s[_DYN_TEARDOWN]&&!0===s[_DYN_TEARDOWN](r,_)&&(n=!0))),n},"unload",function(){},_[_DYN_IS_ASYNC])||r[_DYN_PROCESS_NEXT](_)},update:function(r,_){l(r,function(){var e,t,n=!1;return s&&(e=_getPluginState(s),t=s[STR_CORE]||e[STR_CORE],!s||t&&t!==r.core()||e[_DYN_TEARDOWN]||s[_DYN_UPDATE]&&!0===s[_DYN_UPDATE](r,_)&&(n=!0)),n},"update",function(){},!1)||r[_DYN_PROCESS_NEXT](_)},_id:u,_setNext:function(e){c=e}};function l(n,r,_,e,t){var a=!1,o=s?s[_DYN_IDENTIFIER]:strTelemetryPluginChain,i=(i=n[strHasRunFlags])||(n[strHasRunFlags]={});return n.setNext(c),s&&doPerf(n[STR_CORE](),function(){return o+":"+_},function(){i[u]=!0;try{var e=c?c._id:STR_EMPTY;e&&(i[e]=!1),a=r(n)}catch(t){e=!c||i[c._id];e&&(a=!0),c&&e||_throwInternal(n[_DYN_DIAG_LOG](),1,73,"Plugin ["+o+"] failed during "+_+" - "+dumpObj(t)+", run flags: "+dumpObj(i))}},e,t),a}return objFreeze(i)}function createUnloadHandlerContainer(){var t=[];return{add:function(e){e&&t[_DYN_PUSH](e)},run:function(n,r){arrForEach(t,function(e){try{e(n,r)}catch(t){_throwInternal(n[_DYN_DIAG_LOG](),2,73,"Unexpected error calling unload handler - "+dumpObj(t))}}),t=[]}}}function createUnloadHookContainer(){var t=[];return{run:function(n){var e=t;t=[],arrForEach(e,function(e){try{(e.rm||e.remove).call(e)}catch(t){_throwInternal(n,2,73,"Unloading:"+dumpObj(t))}})},add:function(e){e&&arrAppend(t,e)}}}var strGetPlugin="getPlugin",defaultValues=((_a$1={})[STR_EXTENSION_CONFIG]={isVal:isNotNullOrUndefined,v:{}},_a$1),BaseTelemetryPlugin=function(){function e(){var _,a,c,u,l,o=this;function t(e){var t,e=e=void 0===e?null:e;return e||(t=a||createProcessTelemetryContext(null,{},o[STR_CORE]),e=c&&c[strGetPlugin]?t[_DYN_CREATE_NEW](null,c[strGetPlugin]):t[_DYN_CREATE_NEW](null,c)),e}function i(e,t,n){createDynamicConfig(e,defaultValues,safeGetLogger(t)),!n&&t&&(n=t[_DYN_GET_PROCESS_TEL_CONT2]()[_DYN_GET_NEXT]());var r=c;c&&c[strGetPlugin]&&(r=c[strGetPlugin]()),o[STR_CORE]=t,a=createProcessTelemetryContext(n,e,t,r)}function E(){_=!1,o[STR_CORE]=null,c=a=null,l=createUnloadHookContainer(),u=createUnloadHandlerContainer()}E(),dynamicProto(e,o,function(s){s[_DYN_INITIALIZE]=function(e,t,n,r){i(e,t,r),_=!0},s[_DYN_TEARDOWN]=function(e,t){var n,r,_,a,o=s[STR_CORE];if(o&&(!e||o===e[STR_CORE]()))return r=!1,_=e||createProcessTelemetryUnloadContext(null,o,c&&c[strGetPlugin]?c[strGetPlugin]():c),a=t||((e={reason:0})[_DYN_IS_ASYNC]=!1,e),s[_DYN__DO_TEARDOWN]&&!0===s[_DYN__DO_TEARDOWN](_,a,i)?n=!0:i(),n;function i(){r||(r=!0,u.run(_,t),l.run(_[_DYN_DIAG_LOG]()),!0===n&&_[_DYN_PROCESS_NEXT](a),E())}},s[_DYN_UPDATE]=function(e,t){var n,r,_,a=s[STR_CORE];if(a&&(!e||a===e[STR_CORE]()))return r=!1,_=e||createProcessTelemetryUpdateContext(null,a,c&&c[strGetPlugin]?c[strGetPlugin]():c),s._doUpdate&&!0===s._doUpdate(_,t||{reason:0},o)?n=!0:o(),n;function o(){r||(r=!0,i(_.getCfg(),_.core(),_[_DYN_GET_NEXT]()))}},proxyFunctionAs(s,"_addUnloadCb",function(){return u},"add"),proxyFunctionAs(s,"_addHook",function(){return l},"add"),objDefine(s,"_unloadHooks",{g:function(){return l}})}),o[_DYN_DIAG_LOG]=function(e){return t(e)[_DYN_DIAG_LOG]()},o[_DYN_IS_INITIALIZED]=function(){return _},o.setInitialized=function(e){_=e},o[_DYN_SET_NEXT_PLUGIN]=function(e){c=e},o[_DYN_PROCESS_NEXT]=function(e,t){t?t[_DYN_PROCESS_NEXT](e):c&&isFunction(c[STR_PROCESS_TELEMETRY])&&c[STR_PROCESS_TELEMETRY](e,null)},o._getTelCtx=t}return e.__ieDyn=1,e}(),strOnPrefix="on",strAttachEvent="attachEvent",strAddEventHelper="addEventListener",strEvents="events",rRemoveEmptyNs=(createUniqueNamespace("aiEvtPageHide"),createUniqueNamespace("aiEvtPageShow"),/\.[\.]+/g),rRemoveTrailingEmptyNs=/[\.]+$/,_guid=1,elmNodeData=createElmNodeData("events"),eventNamespace=/^([^.]*)(?:\.(.+)|)/;function _normalizeNamespace(e){return e&&e[_DYN_REPLACE]?e[_DYN_REPLACE](/^[\s\.]+|(?=[\s\.])[\.\s]+$/g,STR_EMPTY):e}function _getEvtNamespace(e,t){t&&(n=STR_EMPTY,isArray(t)?(n=STR_EMPTY,arrForEach(t,function(e){(e=_normalizeNamespace(e))&&("."!==e[0]&&(e="."+e),n+=e)})):n=_normalizeNamespace(t),n&&("."!==n[0]&&(n="."+n),e=(e||STR_EMPTY)+n));var n,t=eventNamespace.exec(e||STR_EMPTY)||[],e={};return e[_DYN_TYPE]=t[1],e.ns=(t[2]||STR_EMPTY).replace(rRemoveEmptyNs,".").replace(rRemoveTrailingEmptyNs,STR_EMPTY)[_DYN_SPLIT$1](".").sort().join("."),e}function _getRegisteredEvents(e,t,n){e=elmNodeData.get(e,strEvents,{},n=void 0===n||n);return e[t]||(e[t]=[])}function _doAttach(e,t,n,r){var _=!1;return e&&t&&t[_DYN_TYPE]&&n&&(e[strAddEventHelper]?(e[strAddEventHelper](t[_DYN_TYPE],n,r),_=!0):e[strAttachEvent]&&(e[strAttachEvent](strOnPrefix+t[_DYN_TYPE],n),_=!0)),_}function mergeEvtNamespace(e,t){return t?_getEvtNamespace("xx",isArray(t)?[e].concat(t):[e,t]).ns[_DYN_SPLIT$1]("."):e}function eventOn(e,t,n,r,_){void 0===_&&(_=!1);var a,o=!1;if(e)try{var i,s=_getEvtNamespace(t,r);(o=_doAttach(e,s,n,_))&&elmNodeData.accept(e)&&((a={guid:_guid++,evtName:s})[_DYN_HANDLER]=n,a.capture=_,i=a,_getRegisteredEvents(e,s.type)[_DYN_PUSH](i))}catch(c){}return o}var aiInstrumentHooks="_aiHooks",cbNames=["req","rsp","hkErr","fnErr"];function _arrLoop(e,t){if(e)for(var n=0;n<e[_DYN_LENGTH$2]&&!t(e[n],n);n++);}function _doCallbacks(e,o,i,s,c){0<=c&&c<=2&&_arrLoop(e,function(e,t){var e=e.cbks,n=e[cbNames[c]];if(n){o.ctx=function(){return s[t]=s[t]||{}};try{n[_DYN_APPLY](o.inst,i)}catch(_){n=o.err;try{var r=e[cbNames[2]];r&&(o.err=_,r[_DYN_APPLY](o.inst,i))}catch(a){}finally{o.err=n}}}})}function _createFunctionHook(s){return function(){var n=arguments,e=s.h,r=((t={})[_DYN_NAME$2]=s.n,t.inst=this,t.ctx=null,t.set=function(e,t){(n=a([],n))[e]=t,_=a([r],n)},t),t=[],_=a([r],n);function a(t,e){return _arrLoop(e,function(e){t[_DYN_PUSH](e)}),t}r.evt=getInst("event"),_doCallbacks(e,r,_,t,0);var o=s.f;if(o)try{r.rslt=o[_DYN_APPLY](this,n)}catch(i){throw r.err=i,_doCallbacks(e,r,_,t,3),i}return _doCallbacks(e,r,_,t,1),r.rslt}}function _getOwner(e,t,n,r){var _=null;return e&&(objHasOwnProperty(e,t)?_=e:n&&(_=_getOwner(_getObjProto(e),t,r,!1))),_}function InstrumentProto(e,t,n){return e?InstrumentFunc(e[strShimPrototype],t,n,!1):null}function _createInstrumentHook(e,t,n,r){var _=n&&n[aiInstrumentHooks],t=(_||((n=_createFunctionHook(_={i:0,n:t,f:n,h:[]}))[aiInstrumentHooks]=_,e[t]=n),{id:_.i,cbks:r,rm:function(){var n=this.id;_arrLoop(_.h,function(e,t){if(e.id===n)return _.h[_DYN_SPLICE](t,1),1})}});return _.i++,_.h[_DYN_PUSH](t),t}function InstrumentFunc(e,t,n,r,_){if(void 0===r&&(r=!0),e&&t&&n){e=_getOwner(e,t,r,_);if(e){r=e[t];if(typeof r===strShimFunction)return _createInstrumentHook(e,t,r,n)}}return null}var DisabledPropertyName="Microsoft_ApplicationInsights_BypassAjaxInstrumentation",DEFAULT_BREEZE_ENDPOINT="https://dc.services.visualstudio.com",DEFAULT_BREEZE_PATH="/v2/track",strNotSpecified="not_specified",strIkey="iKey",RequestHeaders=createValueMap({requestContextHeader:[0,"Request-Context"],requestContextTargetKey:[1,"appId"],requestContextAppIdFormat:[2,"appId=cid-v1:"],requestIdHeader:[3,"Request-Id"],traceParentHeader:[4,"traceparent"],traceStateHeader:[5,"tracestate"],sdkContextHeader:[6,"Sdk-Context"],sdkContextHeaderAppIdRequest:[7,"appId"],requestContextHeaderLowerCase:[8,"request-context"]}),_DYN_SPLIT="split",_DYN_LENGTH$1="length",_DYN_TO_LOWER_CASE$1="toLowerCase",_DYN_NAME$1="name",_DYN_STRINGIFY="stringify",_DYN_PATHNAME="pathname",_DYN_MATCH="match",_DYN_CORRELATION_HEADER_E0="correlationHeaderExcludePatterns",_DYN_PROPERTIES="properties",_DYN_MEASUREMENTS="measurements",_DYN_DURATION="duration";function dataSanitizeKeyAndAddUniqueness(e,t,n){var r=t[_DYN_LENGTH$1],_=dataSanitizeKey(e,t);if(_[_DYN_LENGTH$1]!==r){for(var a=0,o=_;n[o]!==undefined;)a++,o=strSubstring(_,0,147)+dsPadNumber(a);_=o}return _}function dataSanitizeKey(e,t){var n;return t&&150<(t=strTrim(asString(t)))[_DYN_LENGTH$1]&&(n=strSubstring(t,0,150),_throwInternal(e,2,57,"name is too long.  It has been truncated to 150 characters.",{name:t},!0)),n||t}function dataSanitizeString(e,t,n){var r;return void 0===n&&(n=1024),t&&(n=n||1024,(t=strTrim(asString(t)))[_DYN_LENGTH$1]>n&&(r=strSubstring(t,0,n),_throwInternal(e,2,61,"string value is too long. It has been truncated to "+n+" characters.",{value:t},!0))),r||t}function dataSanitizeUrl(e,t){return dataSanitizeInput(e,t,2048,66)}function dataSanitizeProperties(r,e){var _;return e&&(_={},objForEachKey(e,function(e,t){if(isObject(t)&&hasJSON())try{t=getJSON()[_DYN_STRINGIFY](t)}catch(n){_throwInternal(r,2,49,"custom property is not valid",{exception:n},!0)}t=dataSanitizeString(r,t,8192),e=dataSanitizeKeyAndAddUniqueness(r,e,_),_[e]=t}),e=_),e}function dataSanitizeMeasurements(n,e){var r;return e&&(r={},objForEachKey(e,function(e,t){e=dataSanitizeKeyAndAddUniqueness(n,e,r),r[e]=t}),e=r),e}function dataSanitizeInput(e,t,n,r){var _;return t&&(t=strTrim(asString(t)))[_DYN_LENGTH$1]>n&&(_=strSubstring(t,0,n),_throwInternal(e,2,r,"input is too long, it has been truncated to "+n+" characters.",{data:t},!0)),_||t}function dsPadNumber(e){e="00"+e;return strSubstr(e,e[_DYN_LENGTH$1]-3)}var _document=getDocument()||{},_htmlAnchorIdx=0,_htmlAnchorElement=[null,null,null,null,null];function urlParseUrl(e){var t=_htmlAnchorIdx,n=_htmlAnchorElement,r=n[t];return _document.createElement?n[t]||(r=n[t]=_document.createElement("a")):r={host:urlParseHost(e,!0)},r.href=e,++t>=n[_DYN_LENGTH$1]&&(t=0),_htmlAnchorIdx=t,r}function urlGetAbsoluteUrl(e){e=urlParseUrl(e);return e?e.href:void 0}function urlGetCompleteUrl(e,t){return e?e.toUpperCase()+" "+t:t}function urlParseHost(e,t){e=urlParseFullHost(e,t)||"";if(e){t=e[_DYN_MATCH](/(www\d{0,5}\.)?([^\/:]{1,256})(:\d{1,20})?/i);if(null!=t&&3<t[_DYN_LENGTH$1]&&isString(t[2])&&0<t[2][_DYN_LENGTH$1])return t[2]+(t[3]||"")}return e}function urlParseFullHost(e,t){var n=null;return e&&null!=(e=e[_DYN_MATCH](/(\w{1,150}):\/\/([^\/:]{1,256})(:\d{1,20})?/i))&&2<e[_DYN_LENGTH$1]&&isString(e[2])&&0<e[2][_DYN_LENGTH$1]&&(n=e[2]||"",t&&2<e[_DYN_LENGTH$1]&&(t=(e[1]||"")[_DYN_TO_LOWER_CASE$1](),e=e[3]||"",n+=e="http"===t&&":80"===e||"https"===t&&":443"===e?"":e)),n}var _internalEndpoints=[DEFAULT_BREEZE_ENDPOINT+DEFAULT_BREEZE_PATH,"https://breeze.aimon.applicationinsights.io"+DEFAULT_BREEZE_PATH,"https://dc-int.services.visualstudio.com"+DEFAULT_BREEZE_PATH],_correlationIdPrefix="cid-v1:";function isInternalApplicationInsightsEndpoint(e){return-1!==arrIndexOf(_internalEndpoints,e[_DYN_TO_LOWER_CASE$1]())}function correlationIdCanIncludeCorrelationHeader(e,t,n){if(!t||e&&e.disableCorrelationHeaders)return!1;if(e&&e[_DYN_CORRELATION_HEADER_E0])for(var r=0;r<e.correlationHeaderExcludePatterns[_DYN_LENGTH$1];r++)if(e[_DYN_CORRELATION_HEADER_E0][r].test(t))return!1;var _=urlParseUrl(t).host[_DYN_TO_LOWER_CASE$1]();if(!_||-1===strIndexOf(_,":443")&&-1===strIndexOf(_,":80")||(_=(urlParseFullHost(t,!0)||"")[_DYN_TO_LOWER_CASE$1]()),(!e||!e.enableCorsCorrelation)&&_&&_!==n)return!1;var a,n=e&&e.correlationHeaderDomains;if(n&&(arrForEach(n,function(e){e=RegExp(e.toLowerCase().replace(/\\/g,"\\\\").replace(/\./g,"\\.").replace(/\*/g,".*"));a=a||e.test(_)}),!a))return!1;var o=e&&e.correlationHeaderExcludedDomains;if(!o||0===o[_DYN_LENGTH$1])return!0;for(r=0;r<o[_DYN_LENGTH$1];r++)if(RegExp(o[r].toLowerCase().replace(/\\/g,"\\\\").replace(/\./g,"\\.").replace(/\*/g,".*")).test(_))return!1;return _&&0<_[_DYN_LENGTH$1]}function correlationIdGetCorrelationContext(e){if(e){e=correlationIdGetCorrelationContextValue(e,RequestHeaders[1]);if(e&&e!==_correlationIdPrefix)return e}}function correlationIdGetCorrelationContextValue(e,t){if(e)for(var n=e[_DYN_SPLIT](","),r=0;r<n[_DYN_LENGTH$1];++r){var _=n[r][_DYN_SPLIT]("=");if(2===_[_DYN_LENGTH$1]&&_[0]===t)return _[1]}}function AjaxHelperParseDependencyPath(e,t,n,r){var _,a,o,i=r,s=r,i=t&&0<t[_DYN_LENGTH$1]?(o=(_=urlParseUrl(t)).host,i||(null!=_[_DYN_PATHNAME]?("/"!=((a=0===_.pathname[_DYN_LENGTH$1]?"/":_[_DYN_PATHNAME])[0]||"")&&(a="/"+a),s=_[_DYN_PATHNAME],dataSanitizeString(e,n?n+" "+a:a)):dataSanitizeString(e,t))):o=r;return{target:o,name:i,data:s}}function dateTimeUtilsNow(){var e=getPerformance();if(e&&e.now&&e.timing){e=e.now()+e.timing.navigationStart;if(0<e)return e}return utcNow()}function dateTimeUtilsDuration(e,t){return 0===e||0===t||isNullOrUndefined(e)||isNullOrUndefined(t)?null:t-e}function createDistributedTraceContextFromTrace(e,t){var n=e||{};return{getName:function(){return n[_DYN_NAME$1]},setName:function(e){t&&t.setName(e),n[_DYN_NAME$1]=e},getTraceId:function(){return n.traceID},setTraceId:function(e){t&&t.setTraceId(e),isValidTraceId(e)&&(n.traceID=e)},getSpanId:function(){return n.parentID},setSpanId:function(e){t&&t.setSpanId(e),isValidSpanId(e)&&(n.parentID=e)},getTraceFlags:function(){return n.traceFlags},setTraceFlags:function(e){t&&t.setTraceFlags(e),n.traceFlags=e}}}var strEmpty="";function msToTimeSpan(e){var t=strEmpty+Math.floor((e=Math.round(e=isNaN(e)||e<0?0:e))/1e3)%60,n=strEmpty+Math.floor(e/6e4)%60,r=strEmpty+Math.floor(e/36e5)%24,_=Math.floor(e/864e5),e=1===(e=strEmpty+e%1e3)[_DYN_LENGTH$1]?"00"+e:2===e[_DYN_LENGTH$1]?"0"+e:e,t=t[_DYN_LENGTH$1]<2?"0"+t:t,n=n[_DYN_LENGTH$1]<2?"0"+n:n,r=r[_DYN_LENGTH$1]<2?"0"+r:r;return(0<_?_+".":strEmpty)+r+":"+n+":"+t+"."+e}var RemoteDependencyData=function(){function e(e,t,n,r,_,a,o,i,s,c,u,l){void 0===s&&(s="Ajax"),this.aiDataContract={id:1,ver:1,name:0,resultCode:0,duration:0,success:0,data:0,target:0,type:0,properties:0,measurements:0,kind:0,value:0,count:0,min:0,max:0,stdDev:0,dependencyKind:0,dependencySource:0,commandName:0,dependencyTypeName:0};var E=this,t=(E.ver=2,E.id=t,E[_DYN_DURATION]=msToTimeSpan(_),E.success=a,E.resultCode=o+"",E.type=dataSanitizeString(e,s),AjaxHelperParseDependencyPath(e,n,i,r));E.data=dataSanitizeUrl(e,r)||t.data,E.target=dataSanitizeString(e,t.target),c&&(E.target="".concat(E.target," | ").concat(c)),E[_DYN_NAME$1]=dataSanitizeString(e,t[_DYN_NAME$1]),E[_DYN_PROPERTIES]=dataSanitizeProperties(e,u),E[_DYN_MEASUREMENTS]=dataSanitizeMeasurements(e,l)}return e.envelopeType="Microsoft.ApplicationInsights.{0}.RemoteDependency",e.dataType="RemoteDependencyData",e}();function _aiNameFunc(e){var t="ai."+e+".";return function(e){return t+e}}var _aiApplication=_aiNameFunc("application"),_aiDevice=_aiNameFunc("device"),_aiLocation=_aiNameFunc("location"),_aiOperation=_aiNameFunc("operation"),_aiSession=_aiNameFunc("session"),_aiUser=_aiNameFunc("user"),_aiCloud=_aiNameFunc("cloud"),_aiInternal=_aiNameFunc("internal"),ContextTagKeys=function(e){function t(){return e.call(this)||this}return __extendsFn(t,e),t}(createClassFromInterface({applicationVersion:_aiApplication("ver"),applicationBuild:_aiApplication("build"),applicationTypeId:_aiApplication("typeId"),applicationId:_aiApplication("applicationId"),applicationLayer:_aiApplication("layer"),deviceId:_aiDevice("id"),deviceIp:_aiDevice("ip"),deviceLanguage:_aiDevice("language"),deviceLocale:_aiDevice("locale"),deviceModel:_aiDevice("model"),deviceFriendlyName:_aiDevice("friendlyName"),deviceNetwork:_aiDevice("network"),deviceNetworkName:_aiDevice("networkName"),deviceOEMName:_aiDevice("oemName"),deviceOS:_aiDevice("os"),deviceOSVersion:_aiDevice("osVersion"),deviceRoleInstance:_aiDevice("roleInstance"),deviceRoleName:_aiDevice("roleName"),deviceScreenResolution:_aiDevice("screenResolution"),deviceType:_aiDevice("type"),deviceMachineName:_aiDevice("machineName"),deviceVMName:_aiDevice("vmName"),deviceBrowser:_aiDevice("browser"),deviceBrowserVersion:_aiDevice("browserVersion"),locationIp:_aiLocation("ip"),locationCountry:_aiLocation("country"),locationProvince:_aiLocation("province"),locationCity:_aiLocation("city"),operationId:_aiOperation("id"),operationName:_aiOperation("name"),operationParentId:_aiOperation("parentId"),operationRootId:_aiOperation("rootId"),operationSyntheticSource:_aiOperation("syntheticSource"),operationCorrelationVector:_aiOperation("correlationVector"),sessionId:_aiSession("id"),sessionIsFirst:_aiSession("isFirst"),sessionIsNew:_aiSession("isNew"),userAccountAcquisitionDate:_aiUser("accountAcquisitionDate"),userAccountId:_aiUser("accountId"),userAgent:_aiUser("userAgent"),userId:_aiUser("id"),userStoreRegion:_aiUser("storeRegion"),userAuthUserId:_aiUser("authUserId"),userAnonymousUserAcquisitionDate:_aiUser("anonUserAcquisitionDate"),userAuthenticatedUserAcquisitionDate:_aiUser("authUserAcquisitionDate"),cloudName:_aiCloud("name"),cloudRole:_aiCloud("role"),cloudRoleVer:_aiCloud("roleVer"),cloudRoleInstance:_aiCloud("roleInstance"),cloudEnvironment:_aiCloud("environment"),cloudLocation:_aiCloud("location"),cloudDeploymentUnit:_aiCloud("deploymentUnit"),internalNodeName:_aiInternal("nodeName"),internalSdkVersion:_aiInternal("sdkVersion"),internalAgentVersion:_aiInternal("agentVersion"),internalSnippet:_aiInternal("snippet"),internalSdkSrc:_aiInternal("sdkSrc")}));function createTelemetryItem(e,t,n,r,_,a){n=dataSanitizeString(r,n)||strNotSpecified,(isNullOrUndefined(e)||isNullOrUndefined(t)||isNullOrUndefined(n))&&throwError("Input doesn't contain all required fields");var o,r="",i=(e[strIkey]&&(r=e[strIkey],delete e[strIkey]),(o={})[_DYN_NAME$1]=n,o.time=toISOString(new Date),o.iKey=r,o.ext=a||{},o.tags=[],o.data={},o.baseType=t,o.baseData=e,o);return isNullOrUndefined(_)||objForEachKey(_,function(e,t){i.data[e]=t}),i}var Extensions={UserExt:"user",DeviceExt:"device",TraceExt:"trace",WebExt:"web",AppExt:"app",OSExt:"os",SessionExt:"ses",SDKExt:"sdk"},PropertiesPluginIdentifier=(new ContextTagKeys,"AppInsightsPropertiesPlugin"),STR_DURATION="duration",STR_PROPERTIES="properties",_DYN_REQUEST_URL="requestUrl",_DYN_INST="inst",_DYN_LENGTH="length",_DYN_TRACE_ID="traceID",_DYN_SPAN_ID="spanID",_DYN_TRACE_FLAGS="traceFlags",_DYN_CONTEXT="context",_DYN_ABORTED="aborted",_DYN_TRACE_ID0="traceId",_DYN_SPAN_ID1="spanId",_DYN__ADD_HOOK="_addHook",_DYN_CORE="core",_DYN_INCLUDE_CORRELATION_2="includeCorrelationHeaders",_DYN_GET_ABSOLUTE_URL="getAbsoluteUrl",_DYN_HEADERS="headers",_DYN_REQUEST_HEADERS="requestHeaders",_DYN_SET_REQUEST_HEADER="setRequestHeader",_DYN_TRACK_DEPENDENCY_DAT3="trackDependencyDataInternal",_DYN_START_TIME="startTime",_DYN_TO_LOWER_CASE="toLowerCase",_DYN_ENABLE_REQUEST_HEADE4="enableRequestHeaderTracking",_DYN_ENABLE_AJAX_ERROR_ST5="enableAjaxErrorStatusText",_DYN_ENABLE_AJAX_PERF_TRA6="enableAjaxPerfTracking",_DYN_MAX_AJAX_CALLS_PER_V7="maxAjaxCallsPerView",_DYN_EXCLUDE_REQUEST_FROM8="excludeRequestFromAutoTrackingPatterns",_DYN_ADD_REQUEST_CONTEXT="addRequestContext",_DYN_DISABLE_AJAX_TRACKIN9="disableAjaxTracking",_DYN_AJAX_PERF_LOOKUP_DEL10="ajaxPerfLookupDelay",_DYN_DISABLE_FETCH_TRACKI11="disableFetchTracking",_DYN_ENABLE_RESPONSE_HEAD12="enableResponseHeaderTracking",_DYN_STATUS="status",_DYN_STATUS_TEXT="statusText",_DYN_HEADER_MAP="headerMap",_DYN_OPEN_DONE="openDone",_DYN_SEND_DONE="sendDone",_DYN_REQUEST_SENT_TIME="requestSentTime",_DYN_ABORT_DONE="abortDone",_DYN_GET_TRACE_ID="getTraceId",_DYN_GET_TRACE_FLAGS="getTraceFlags",_DYN_METHOD="method",_DYN_ERROR_STATUS_TEXT="errorStatusText",_DYN_STATE_CHANGE_ATTACHE13="stateChangeAttached",_DYN_RESPONSE_TEXT="responseText",_DYN_RESPONSE_FINISHED_TI14="responseFinishedTime",_DYN__CREATE_TRACK_ITEM="CreateTrackItem",_DYN_RESPONSE="response",_DYN_GET_ALL_RESPONSE_HEA15="getAllResponseHeaders",_DYN_GET_PART_APROPS="getPartAProps",_DYN_PERF_MARK="perfMark",_DYN_NAME="name",_DYN_PERF_TIMING="perfTiming",_DYN_EXCEPTION="exception",_DYN_AJAX_DIAGNOSTICS_MES16="ajaxDiagnosticsMessage",_DYN_CORRELATION_CONTEXT="correlationContext",_DYN_AJAX_TOTAL_DURATION="ajaxTotalDuration",_DYN_EVENT_TRACE_CTX="eventTraceCtx";function _calcPerfDuration(e,t,n){t=e[t],n=e[n];return t&&n?dateTimeUtilsDuration(t,n):0}function _setPerfDuration(e,t,n,r,_){n=_calcPerfDuration(n,r,_);return n?_setPerfValue(e,t,msToTimeSpan(n)):0}function _setPerfValue(e,t,n){var r="ajaxPerf",_=0;return e&&t&&n&&((e[r]=e[r]||{})[t]=n,_=1),_}function _populatePerfData(e,t){var r,n=e[_DYN_PERF_TIMING],_=t[STR_PROPERTIES]||{},a=0,o="connect",i="request",s="response",c="startTime",u=o+"End",l=i+"Start",E=s+"End",N="transferSize",D="encodedBodySize",T="decodedBodySize",f="serverTiming";n?(a=(a=(a=(a=(a=(a=(a|=_setPerfDuration(_,"End",n,"redirectStart","End"))|_setPerfDuration(_,"domainLookup",n,"domainLookupStart","domainLookupEnd"))|_setPerfDuration(_,o,n,"connectStart",u))|_setPerfDuration(_,i,n,l,"requestEnd"))|_setPerfDuration(_,s,n,"responseStart",E))|_setPerfDuration(_,"networkConnect",n,c,u))|_setPerfDuration(_,"sentRequest",n,l,E),o=n[STR_DURATION]||_calcPerfDuration(n,c,E)||0,a=(a|=_setPerfValue(_,STR_DURATION,o))|_setPerfValue(_,"perfTotal",o),(i=n[f])&&(r={},arrForEach(i,function(e,t){var t=normalizeJsName(e.name||""+t),n=r[t]||{};objForEachKey(e,function(e,t){!("name"!==e&&isString(t)||isNumber(t))||!(t=n[e]?n[e]+";"+t:t)&&isString(t)||(n[e]=t)}),r[t]=n}),a|=_setPerfValue(_,f,r)),a=(a=(a|=_setPerfValue(_,N,n[N]))|_setPerfValue(_,D,n[D]))|_setPerfValue(_,T,n[T])):e[_DYN_PERF_MARK]&&(a|=_setPerfValue(_,"missing",e.perfAttempts)),a&&(t[STR_PROPERTIES]=_)}var _a,XHRMonitoringState=function(){var e=this;e[_DYN_OPEN_DONE]=!1,e.setRequestHeaderDone=!1,e[_DYN_SEND_DONE]=!1,e[_DYN_ABORT_DONE]=!1,e[_DYN_STATE_CHANGE_ATTACHE13]=!1},ajaxRecord=function(){function o(e,t,n,r){var _=this,a=n;_[_DYN_PERF_MARK]=null,_.completed=!1,_.requestHeadersSize=null,_[_DYN_REQUEST_HEADERS]=null,_.responseReceivingDuration=null,_.callbackDuration=null,_[_DYN_AJAX_TOTAL_DURATION]=null,_[_DYN_ABORTED]=0,_.pageUrl=null,_[_DYN_REQUEST_URL]=null,_.requestSize=0,_[_DYN_METHOD]=null,_[_DYN_STATUS]=null,_[_DYN_REQUEST_SENT_TIME]=null,_.responseStartedTime=null,_[_DYN_RESPONSE_FINISHED_TI14]=null,_.callbackFinishedTime=null,_.endTime=null,_.xhrMonitoringState=new XHRMonitoringState,_.clientFailure=0,_[_DYN_TRACE_ID]=e,_[_DYN_SPAN_ID]=t,_[_DYN_TRACE_FLAGS]=null==r?void 0:r.getTraceFlags(),_[_DYN_EVENT_TRACE_CTX]=r?((n={})[_DYN_TRACE_ID0]=r[_DYN_GET_TRACE_ID](),n[_DYN_SPAN_ID1]=r.getSpanId(),n[_DYN_TRACE_FLAGS]=r[_DYN_GET_TRACE_FLAGS](),n):null,dynamicProto(o,_,function(_){_.getAbsoluteUrl=function(){return _[_DYN_REQUEST_URL]?urlGetAbsoluteUrl(_[_DYN_REQUEST_URL]):null},_.getPathName=function(){return _[_DYN_REQUEST_URL]?dataSanitizeUrl(a,urlGetCompleteUrl(_[_DYN_METHOD],_[_DYN_REQUEST_URL])):null},_[_DYN__CREATE_TRACK_ITEM]=function(e,t,n){if(_.ajaxTotalDuration=Math.round(1e3*dateTimeUtilsDuration(_.requestSentTime,_.responseFinishedTime))/1e3,_[_DYN_AJAX_TOTAL_DURATION]<0)return null;(r={id:"|"+_[_DYN_TRACE_ID]+"."+_[_DYN_SPAN_ID],target:_[_DYN_GET_ABSOLUTE_URL]()})[_DYN_NAME]=_.getPathName(),r.type=e,r[_DYN_START_TIME]=null,r.duration=_[_DYN_AJAX_TOTAL_DURATION],r.success=200<=+_[_DYN_STATUS]&&+_[_DYN_STATUS]<400,r.responseCode=+_[_DYN_STATUS],r[STR_PROPERTIES]={HttpMethod:_[_DYN_METHOD]};var e=r,r=e[STR_PROPERTIES];return _[_DYN_ABORTED]&&(r[_DYN_ABORTED]=!0),_[_DYN_REQUEST_SENT_TIME]&&(e[_DYN_START_TIME]=new Date,e[_DYN_START_TIME].setTime(_[_DYN_REQUEST_SENT_TIME])),_populatePerfData(_,e),t&&0<objKeys(_.requestHeaders)[_DYN_LENGTH]&&(r[_DYN_REQUEST_HEADERS]=_[_DYN_REQUEST_HEADERS]),n&&(t=n())&&((n=t[_DYN_CORRELATION_CONTEXT])&&(e.correlationContext=n),t[_DYN_HEADER_MAP]&&0<objKeys(t.headerMap)[_DYN_LENGTH]&&(r.responseHeaders=t[_DYN_HEADER_MAP]),_[_DYN_ERROR_STATUS_TEXT]&&(400<=_[_DYN_STATUS]?(""!==(n=t.type)&&"text"!==n||(r.responseText=t.responseText?t[_DYN_STATUS_TEXT]+" - "+t.responseText:t[_DYN_STATUS_TEXT]),"json"===n&&(r.responseText=t.response?t[_DYN_STATUS_TEXT]+" - "+JSON.stringify(t[_DYN_RESPONSE]):t[_DYN_STATUS_TEXT])):0===_[_DYN_STATUS]&&(r.responseText=t[_DYN_STATUS_TEXT]||""))),e},_[_DYN_GET_PART_APROPS]=function(){var e,t=null,n=_[_DYN_EVENT_TRACE_CTX];return n&&(n[_DYN_TRACE_ID0]||n[_DYN_SPAN_ID1])&&(e=(t={})[Extensions.TraceExt]=((e={})[_DYN_TRACE_ID]=n[_DYN_TRACE_ID0],e.parentID=n[_DYN_SPAN_ID1],e),isNullOrUndefined(n[_DYN_TRACE_FLAGS])||(e[_DYN_TRACE_FLAGS]=n[_DYN_TRACE_FLAGS])),t}})}return o.__ieDyn=1,o}(),strDiagLog="diagLog",AJAX_DATA_CONTAINER="_ajaxData",STR_FETCH="fetch",ERROR_HEADER="Failed to monitor XMLHttpRequest",ERROR_PREFIX=", monitoring data for this ajax call ",ERROR_POSTFIX=ERROR_PREFIX+"may be incorrect.",ERROR_NOT_SENT=ERROR_PREFIX+"won't be sent.",CORRELATION_HEADER_ERROR="Failed to get Request-Context correlation header as it may be not included in the response or not accessible.",CUSTOM_REQUEST_CONTEXT_ERROR="Failed to add custom defined request context as configured call back may missing a null check.",FAILED_TO_CALCULATE_DURATION_ERROR="Failed to calculate the duration of the ",_markCount=0;function _supportsFetch(){var e=getGlobal();return!e||isNullOrUndefined(e.Request)||isNullOrUndefined(e.Request[strShimPrototype])||isNullOrUndefined(e[STR_FETCH])?null:e[STR_FETCH]}function _supportsAjaxMonitoring(e,t){var n,r=!1,_=(isXhrSupported()&&(r=!(isNullOrUndefined(_=XMLHttpRequest[strShimPrototype])||isNullOrUndefined(_.open)||isNullOrUndefined(_.send)||isNullOrUndefined(_.abort))),getIEVersion());if(r=!(_&&_<9)&&r)try{var a=new XMLHttpRequest,o={xh:[],i:((n={})[t]={},n)},i=(a[AJAX_DATA_CONTAINER]=o,XMLHttpRequest[strShimPrototype].open);XMLHttpRequest[strShimPrototype].open=i}catch(s){r=!1,_throwInternalCritical(e,15,"Failed to enable XMLHttpRequest monitoring, extension is not supported",((_={})[_DYN_EXCEPTION]=dumpObj(s),_))}return r}var _getAjaxData=function(e,t){return e&&t&&e[AJAX_DATA_CONTAINER]?(e[AJAX_DATA_CONTAINER].i||{})[t]:null},_addSharedXhrHeaders=function(e,t,n){e&&(e=(e[AJAX_DATA_CONTAINER]||{}).xh)&&e.push({n:t,v:n})},_isHeaderSet=function(e,t){var n=!1;return e&&(e=(e[AJAX_DATA_CONTAINER]||{}).xh)&&arrForEach(e,function(e){if(e.n===t)return n=!0,-1}),n};function _getFailedAjaxDiagnosticsMessage(e,t){var n="";try{var r=_getAjaxData(e,t);r&&r[_DYN_REQUEST_URL]&&(n+="(url: '"+r[_DYN_REQUEST_URL]+"')")}catch(_){}return n}function _throwInternalCritical(e,t,n,r,_){_throwInternal(e[strDiagLog](),1,t,n,r,_)}function _throwInternalWarning(e,t,n,r,_){_throwInternal(e[strDiagLog](),2,t,n,r,_)}function _createErrorCallbackFunc(n,r,_){return function(e){var t;_throwInternalCritical(n,r,_,((t={ajaxDiagnosticsMessage:_getFailedAjaxDiagnosticsMessage(e[_DYN_INST],n._ajaxDataId)})[_DYN_EXCEPTION]=dumpObj(e.err),t))}}function _indexOf(e,t){return e&&t?strIndexOf(e,t):-1}function _addHandler(n,e,t){var r={id:e,fn:t};return n.push(r),{remove:function(){arrForEach(n,function(e,t){if(e.id===r.id)return n.splice(t,1),-1})}}}function _processDependencyContainer(r,e,_,a){var o=!0;return arrForEach(e,function(e,t){try{!1===e.fn.call(null,_)&&(o=!1)}catch(n){_throwInternal(r&&r.logger,1,64,"Dependency "+a+" [#"+t+"] failed: "+getExceptionName(n),{exception:dumpObj(n)},!0)}}),o}function _processDependencyListeners(e,t,n,r,_,a){var o;0<e[_DYN_LENGTH]&&((o={})[_DYN_CORE]=t,o.xhr=r,o.input=_,o.init=a,o.traceId=n[_DYN_TRACE_ID],o.spanId=n[_DYN_SPAN_ID],o.traceFlags=n[_DYN_TRACE_FLAGS],o.context=n[_DYN_CONTEXT]||{},o.aborted=!!n[_DYN_ABORTED],_processDependencyContainer(t,e,r=o,"listener"),n[_DYN_TRACE_ID]=r[_DYN_TRACE_ID0],n[_DYN_SPAN_ID]=r[_DYN_SPAN_ID1],n[_DYN_TRACE_FLAGS]=r[_DYN_TRACE_FLAGS],n[_DYN_CONTEXT]=r[_DYN_CONTEXT])}var BLOB_CORE="*.blob.core.",DfltAjaxCorrelationHeaderExDomains=objFreeze([BLOB_CORE+"windows.net",BLOB_CORE+"chinacloudapi.cn",BLOB_CORE+"cloudapi.de",BLOB_CORE+"usgovcloudapi.net"]),_internalExcludeEndpoints=[/https:\/\/[^\/]*(\.pipe\.aria|aria\.pipe|events\.data|collector\.azure)\.[^\/]+\/(OneCollector\/1|Collector\/3)\.0/i],_defaultConfig=objFreeze(((_a={})[_DYN_MAX_AJAX_CALLS_PER_V7]=500,_a[_DYN_DISABLE_AJAX_TRACKIN9]=!1,_a[_DYN_DISABLE_FETCH_TRACKI11]=!1,_a[_DYN_EXCLUDE_REQUEST_FROM8]=undefined,_a.disableCorrelationHeaders=!1,_a.distributedTracingMode=1,_a.correlationHeaderExcludedDomains=DfltAjaxCorrelationHeaderExDomains,_a.correlationHeaderDomains=undefined,_a.correlationHeaderExcludePatterns=undefined,_a.appId=undefined,_a.enableCorsCorrelation=!1,_a[_DYN_ENABLE_REQUEST_HEADE4]=!1,_a[_DYN_ENABLE_RESPONSE_HEAD12]=!1,_a[_DYN_ENABLE_AJAX_ERROR_ST5]=!1,_a[_DYN_ENABLE_AJAX_PERF_TRA6]=!1,_a.maxAjaxPerfLookupAttempts=3,_a[_DYN_AJAX_PERF_LOOKUP_DEL10]=25,_a.ignoreHeaders=["Authorization","X-API-Key","WWW-Authenticate"],_a[_DYN_ADD_REQUEST_CONTEXT]=undefined,_a.addIntEndpoints=!0,_a)),AjaxMonitor=function(n){function B(){var p,g,O,y,C,Y,r,I,P,m,L,h,b,v,U,H,F,x,G,M,w,t,j,k,V,X,K,$,W,q,e=n.call(this)||this;return e.identifier=B.identifier,e.priority=120,dynamicProto(B,e,function(l,a){var o=a[_DYN__ADD_HOOK];function e(){var e=getLocation();q=g=p=!1,O=e&&e.host&&e.host[_DYN_TO_LOWER_CASE](),v=h=m=P=Y=C=!1,F=H=!(U={}),M=G=x=L=I=y=null,t=b=r=0,j=[],k=[],w=createUniqueNamespace("ajaxData"),l._ajaxDataId=w,$=K=X=1,W=V=null}function E(t){var n=!0;return(t||V)&&arrForEach(V,function(e){if(e[_DYN_TO_LOWER_CASE]()===t[_DYN_TO_LOWER_CASE]())return n=!1,-1}),n}function i(e,t,n){o(InstrumentProto(e,t,n))}function N(e,t,n){var r=!1,_=((isString(t)?t:(t||{}).url||"")||"")[_DYN_TO_LOWER_CASE]();if(arrForEach(x,function(e){var t=e;isString(e)&&(t=RegExp(e)),r=r||t.test(_)}),r)return r;var a=_indexOf(_,"?"),o=_indexOf(_,"#");return-1!==(a=-1===a||-1!==o&&o<a?o:a)&&(_=_.substring(0,a)),isNullOrUndefined(e)?isNullOrUndefined(t)||(r="object"==typeof t&&!0===t[DisabledPropertyName]||!!n&&!0===n[DisabledPropertyName]):r=!0===e[DisabledPropertyName]||!0===_[DisabledPropertyName],(r=!(r||!_||!isInternalApplicationInsightsEndpoint(_))||r)?U[_]||(U[_]=1):U[_]&&(r=!0),r}function c(e,t,n){var r=!0,_=g;return isNullOrUndefined(e)||(r=!0===n||!isNullOrUndefined(t)),_&&r}function D(){var e=null;return!(e=l[_DYN_CORE]&&l[_DYN_CORE].getTraceCtx?l[_DYN_CORE].getTraceCtx(!1):e)&&I&&I.telemetryTrace?createDistributedTraceContextFromTrace(I.telemetryTrace):e}function T(r,_){_.xhrMonitoringState[_DYN_STATE_CHANGE_ATTACHE13]=eventOn(r,"readystatechange",function(){var e,a,o;try{r&&4===r.readyState&&c(r,_)&&((o=_getAjaxData(a=r,w))[_DYN_RESPONSE_FINISHED_TI14]=dateTimeUtilsNow(),o[_DYN_STATUS]=a[_DYN_STATUS],u("xmlhttprequest",o,function(){try{var e,t=o[_DYN__CREATE_TRACK_ITEM]("Ajax",C,function(){(t={statusText:a[_DYN_STATUS_TEXT]})[_DYN_HEADER_MAP]=null,t[_DYN_CORRELATION_CONTEXT]=s(a),t.type=a.responseType,t[_DYN_RESPONSE_TEXT]=function(e){try{var t=e.responseType;if(""===t||"text"===t)return e[_DYN_RESPONSE_TEXT]}catch(n){}return null}(a),t.response=a[_DYN_RESPONSE];var e,n,t;return v&&(e=a[_DYN_GET_ALL_RESPONSE_HEA15]())&&(e=strTrim(e).split(/[\r\n]+/),n={},arrForEach(e,function(e){var e=e.split(": "),t=e.shift(),e=e.join(": ");E(t)&&(n[t]=e)}),t[_DYN_HEADER_MAP]=n),t}),n=void 0;try{G&&(n=G({status:a[_DYN_STATUS],xhr:a}))}catch(_){_throwInternalWarning(l,104,CUSTOM_REQUEST_CONTEXT_ERROR)}t?(n!==undefined&&(t[STR_PROPERTIES]=__assignFn(__assignFn({},t.properties),n)),e=o[_DYN_GET_PART_APROPS](),R(k,l[_DYN_CORE],o,t,null,e)):i(null,{requestSentTime:o[_DYN_REQUEST_SENT_TIME],responseFinishedTime:o[_DYN_RESPONSE_FINISHED_TI14]})}finally{try{var r=(a[AJAX_DATA_CONTAINER]||{i:{}}).i||{};r[w]&&(r[w]=null)}catch(_){}}},function(e){i(e,null)}))}catch(n){var t=dumpObj(n);t&&-1!==_indexOf(t[_DYN_TO_LOWER_CASE](),"c00c023f")||_throwInternalCritical(l,16,ERROR_HEADER+" 'readystatechange' event handler"+ERROR_POSTFIX,((e={})[_DYN_AJAX_DIAGNOSTICS_MES16]=_getFailedAjaxDiagnosticsMessage(r,w),e[_DYN_EXCEPTION]=t,e))}function i(e,t){t=t||{};t.ajaxDiagnosticsMessage=_getFailedAjaxDiagnosticsMessage(a,w),e&&(t.exception=dumpObj(e)),_throwInternalWarning(l,14,FAILED_TO_CALCULATE_DURATION_ERROR+"ajax call"+ERROR_NOT_SENT,t)}},M)}function s(e){try{var t=e[_DYN_GET_ALL_RESPONSE_HEA15]();if(null!==t&&-1!==_indexOf(t[_DYN_TO_LOWER_CASE](),RequestHeaders[8]))return correlationIdGetCorrelationContext(e.getResponseHeader(RequestHeaders[0]))}catch(n){_throwInternalWarning(l,18,CORRELATION_HEADER_ERROR,((t={})[_DYN_AJAX_DIAGNOSTICS_MES16]=_getFailedAjaxDiagnosticsMessage(e,w),t[_DYN_EXCEPTION]=dumpObj(n),t))}}function f(e,t){var n;t[_DYN_REQUEST_URL]&&L&&h&&(n=getPerformance())&&isFunction(n.mark)&&(e=L+e+"#"+ ++_markCount,n.mark(e),(e=n.getEntriesByName(e))&&1===e[_DYN_LENGTH]&&(t[_DYN_PERF_MARK]=e[0]))}function u(a,o,i,s){var c=o[_DYN_PERF_MARK],u=getPerformance(),l=X,E=K,N=o[_DYN_REQUEST_URL],D=0;!function T(){try{if(u&&c){D++;for(var e=null,t=u.getEntries(),n=t[_DYN_LENGTH]-1;0<=n;n--){var r=t[n];if(r){if("resource"===r.entryType)r.initiatorType!==a||-1===_indexOf(r[_DYN_NAME],N)&&-1===_indexOf(N,r[_DYN_NAME])||(e=r);else if("mark"===r.entryType&&r[_DYN_NAME]===c[_DYN_NAME]){o[_DYN_PERF_TIMING]=e;break}if(r[_DYN_START_TIME]<c[_DYN_START_TIME]-1e3)break}}}!c||o[_DYN_PERF_TIMING]||l<=D||!1===o["async"]?(c&&isFunction(u.clearMarks)&&u.clearMarks(c[_DYN_NAME]),o.perfAttempts=D,i()):scheduleTimeout(T,E)}catch(_){s(_)}}()}function d(e){var t="";try{isNullOrUndefined(e)||(t+="(url: '".concat("string"==typeof e?e:e.url,"')"))}catch(n){_throwInternalCritical(l,15,"Failed to grab failed fetch diagnostics message",{exception:dumpObj(n)})}return t}function A(e,r,_,a,o,i){function s(e,t,n){n=n||{};n.fetchDiagnosticsMessage=d(_),t&&(n.exception=dumpObj(t)),_throwInternalWarning(l,e,FAILED_TO_CALCULATE_DURATION_ERROR+"fetch call"+ERROR_NOT_SENT,n)}o&&(o[_DYN_RESPONSE_FINISHED_TI14]=dateTimeUtilsNow(),o[_DYN_STATUS]=r,u(STR_FETCH,o,function(){var e,t=o[_DYN__CREATE_TRACK_ITEM]("Fetch",C,i);try{G&&(e=G({status:r,request:_,response:a}))}catch(n){_throwInternalWarning(l,104,CUSTOM_REQUEST_CONTEXT_ERROR)}t?(e!==undefined&&(t[STR_PROPERTIES]=__assignFn(__assignFn({},t.properties),e)),e=o[_DYN_GET_PART_APROPS](),R(k,l[_DYN_CORE],o,t,null,e)):s(14,null,{requestSentTime:o[_DYN_REQUEST_SENT_TIME],responseFinishedTime:o[_DYN_RESPONSE_FINISHED_TI14]})},function(e){s(18,e,null)}))}function S(e){if(e&&e[_DYN_HEADERS])try{return correlationIdGetCorrelationContext(e[_DYN_HEADERS].get(RequestHeaders[0]))}catch(t){_throwInternalWarning(l,18,CORRELATION_HEADER_ERROR,((e={fetchDiagnosticsMessage:d(e)})[_DYN_EXCEPTION]=dumpObj(t),e))}}function R(e,t,n,r,_,a){var o,i=!0;0<e[_DYN_LENGTH]&&((o={item:r})[STR_PROPERTIES]=_,o.sysProperties=a,o.context=n?n[_DYN_CONTEXT]:null,o.aborted=!!n&&!!n[_DYN_ABORTED],i=_processDependencyContainer(t,e,o,"initializer")),i&&l[_DYN_TRACK_DEPENDENCY_DAT3](r,_,a)}e(),l.initialize=function(e,t,n,r){var _,u;l.isInitialized()||(a.initialize(e,t,n,r),M=mergeEvtNamespace(createUniqueNamespace("ajax"),t&&t.evtNamespace&&t.evtNamespace()),l[_DYN__ADD_HOOK](onConfigChange(e,function(e){e=createProcessTelemetryContext(null,e.cfg,l[_DYN_CORE]);y=e.getExtCfg(B.identifier,_defaultConfig),$=y.distributedTracingMode,C=y[_DYN_ENABLE_REQUEST_HEADE4],Y=y[_DYN_ENABLE_AJAX_ERROR_ST5],h=y[_DYN_ENABLE_AJAX_PERF_TRA6],b=y[_DYN_MAX_AJAX_CALLS_PER_V7],x=[].concat(y[_DYN_EXCLUDE_REQUEST_FROM8]||[],!1!==y.addIntEndpoints?_internalExcludeEndpoints:[]),G=y[_DYN_ADD_REQUEST_CONTEXT],m=0===$||1===$,P=1===$||2===$,h&&(L=w),H=!!y[_DYN_DISABLE_AJAX_TRACKIN9],X=y.maxAjaxPerfLookupAttempts,K=y[_DYN_AJAX_PERF_LOOKUP_DEL10],V=y.ignoreHeaders,W=y.appId})),_supportsAjaxMonitoring(l,w)&&l[_DYN__ADD_HOOK](onConfigChange(y,function(){H=!!y[_DYN_DISABLE_AJAX_TRACKIN9],C=y[_DYN_ENABLE_REQUEST_HEADE4],H||g||(i(XMLHttpRequest,"open",{ns:M,req:function(e,t,n,r){var _,a,o,i,s;H||(e=e[_DYN_INST],_=_getAjaxData(e,w),!N(e,n)&&c(e,_,!0)&&(_&&_.xhrMonitoringState[_DYN_OPEN_DONE]||(i=e,t=t,n=n,r=r,s=(a=D())&&a[_DYN_GET_TRACE_ID]()||generateW3CId(),o=strSubstr(generateW3CId(),0,16),(s=(i=(i=i[AJAX_DATA_CONTAINER]=i[AJAX_DATA_CONTAINER]||{xh:[],i:{}}).i=i.i||{})[w]=i[w]||new ajaxRecord(s,o,l[strDiagLog](),null==(i=l.core)?void 0:i.getTraceCtx()))[_DYN_TRACE_FLAGS]=a&&a[_DYN_GET_TRACE_FLAGS](),s[_DYN_METHOD]=t,s[_DYN_REQUEST_URL]=n,s.xhrMonitoringState[_DYN_OPEN_DONE]=!0,s[_DYN_REQUEST_HEADERS]={},s["async"]=r,s[_DYN_ERROR_STATUS_TEXT]=Y,_=s),T(e,_)))},hkErr:_createErrorCallbackFunc(l,15,ERROR_HEADER+".open"+ERROR_POSTFIX)}),i(XMLHttpRequest,"send",{ns:M,req:function(e,t){var n;H||c(e=e[_DYN_INST],n=_getAjaxData(e,w))&&!n.xhrMonitoringState[_DYN_SEND_DONE]&&(f("xhr",n),n[_DYN_REQUEST_SENT_TIME]=dateTimeUtilsNow(),l[_DYN_INCLUDE_CORRELATION_2](n,undefined,undefined,e),n.xhrMonitoringState[_DYN_SEND_DONE]=!0)},hkErr:_createErrorCallbackFunc(l,17,ERROR_HEADER+ERROR_POSTFIX)}),i(XMLHttpRequest,"abort",{ns:M,req:function(e){H||c(e=e[_DYN_INST],e=_getAjaxData(e,w))&&!e.xhrMonitoringState[_DYN_ABORT_DONE]&&(e[_DYN_ABORTED]=1,e.xhrMonitoringState[_DYN_ABORT_DONE]=!0)},hkErr:_createErrorCallbackFunc(l,13,ERROR_HEADER+".abort"+ERROR_POSTFIX)}),i(XMLHttpRequest,"setRequestHeader",{ns:M,req:function(e,t,n){var r;H||(e=e[_DYN_INST],(r=_getAjaxData(e,w))&&c(e,r)&&(_addSharedXhrHeaders(e,t,n),C&&E(t)&&r&&(r[_DYN_REQUEST_HEADERS][t]=n)))},hkErr:_createErrorCallbackFunc(l,71,ERROR_HEADER+".setRequestHeader"+ERROR_POSTFIX)}),g=!0)})),(n=_supportsFetch())&&(_=getGlobal(),u=n.polyfill,l[_DYN__ADD_HOOK](onConfigChange(y,function(){F=!!y[_DYN_DISABLE_FETCH_TRACKI11],v=y[_DYN_ENABLE_RESPONSE_HEAD12],F||p?u&&!q&&(o(InstrumentFunc(_,STR_FETCH,{ns:M,req:function(e,t,n){N(null,t,n)}})),q=!0):(o(InstrumentFunc(_,STR_FETCH,{ns:M,req:function(e,t,n){var r,_,a,o,i,s,c;F||!p||N(null,t,n)||u&&g||(r=e.ctx(),_=t,a=n,o=(s=D())&&s[_DYN_GET_TRACE_ID]()||generateW3CId(),i=strSubstr(generateW3CId(),0,16),(i=new ajaxRecord(o,i,l[strDiagLog](),null==(o=l.core)?void 0:o.getTraceCtx()))[_DYN_TRACE_FLAGS]=s&&s[_DYN_GET_TRACE_FLAGS](),i[_DYN_REQUEST_SENT_TIME]=dateTimeUtilsNow(),i[_DYN_ERROR_STATUS_TEXT]=Y,""===(o=_ instanceof Request?(_||{}).url||"":_)&&(s=getLocation())&&s.href&&(o=strSplit(s.href,"#")[0]),i[_DYN_REQUEST_URL]=o,s="GET",a&&a[_DYN_METHOD]?s=a[_DYN_METHOD]:_&&_ instanceof Request&&(s=_[_DYN_METHOD]),i[_DYN_METHOD]=s,c={},C&&new Headers((a?a[_DYN_HEADERS]:0)||_ instanceof Request&&_[_DYN_HEADERS]||{}).forEach(function(e,t){E(t)&&(c[t]=e)}),i[_DYN_REQUEST_HEADERS]=c,f(STR_FETCH,i),o=i,(s=l[_DYN_INCLUDE_CORRELATION_2](o,t,n))!==n&&e.set(1,s),r.data=o)},rsp:function(e,n){var r;F||(r=e.ctx().data)&&(e.rslt=e.rslt.then(function(t){return A(0,(t||{})[_DYN_STATUS],n,t,r,function(){(e={statusText:(t||{})[_DYN_STATUS_TEXT]})[_DYN_HEADER_MAP]=null,e[_DYN_CORRELATION_CONTEXT]=S(t);var n,e;return v&&t&&(n={},t.headers.forEach(function(e,t){E(t)&&(n[t]=e)}),e[_DYN_HEADER_MAP]=n),e}),t})["catch"](function(e){throw A(0,0,n,null,r,null),e}))},hkErr:_createErrorCallbackFunc(l,15,"Failed to monitor Window.fetch"+ERROR_POSTFIX)},!0,isWebWorker())),p=!0)})),u&&(_[STR_FETCH].polyfill=u)),(r=l[_DYN_CORE].getPlugin(PropertiesPluginIdentifier))&&(I=r.plugin[_DYN_CONTEXT]))},l._doTeardown=function(){e()},l.trackDependencyData=function(e,t){R(k,l[_DYN_CORE],null,e,t)},l[_DYN_INCLUDE_CORRELATION_2]=function(e,t,n,r){var _,a,o,i,s=l._currentWindowHost||O;return _processDependencyListeners(j,l[_DYN_CORE],e,r,t,n),t||""===t?(correlationIdCanIncludeCorrelationHeader(y,e[_DYN_GET_ABSOLUTE_URL](),s)&&(n=n||{},t=new Headers(n[_DYN_HEADERS]||t instanceof Request&&t[_DYN_HEADERS]||{}),m&&(_="|"+e[_DYN_TRACE_ID]+"."+e[_DYN_SPAN_ID],t.set(RequestHeaders[3],_),C&&(e[_DYN_REQUEST_HEADERS][RequestHeaders[3]]=_)),(a=W||I&&I.appId())&&(t.set(RequestHeaders[0],RequestHeaders[2]+a),C&&(e[_DYN_REQUEST_HEADERS][RequestHeaders[0]]=RequestHeaders[2]+a)),P&&(isNullOrUndefined(o=e[_DYN_TRACE_FLAGS])&&(o=1),i=formatTraceParent(createTraceParent(e[_DYN_TRACE_ID],e[_DYN_SPAN_ID],o)),t.set(RequestHeaders[4],i),C&&(e[_DYN_REQUEST_HEADERS][RequestHeaders[4]]=i)),n[_DYN_HEADERS]=t),n):r?(correlationIdCanIncludeCorrelationHeader(y,e[_DYN_GET_ABSOLUTE_URL](),s)&&(m&&(_isHeaderSet(r,RequestHeaders[3])?_throwInternalWarning(l,71,"Unable to set ["+RequestHeaders[3]+"] as it has already been set by another instance"):(_="|"+e[_DYN_TRACE_ID]+"."+e[_DYN_SPAN_ID],r[_DYN_SET_REQUEST_HEADER](RequestHeaders[3],_),C&&(e[_DYN_REQUEST_HEADERS][RequestHeaders[3]]=_))),(a=W||I&&I.appId())&&(_isHeaderSet(r,RequestHeaders[0])?_throwInternalWarning(l,71,"Unable to set ["+RequestHeaders[0]+"] as it has already been set by another instance"):(r[_DYN_SET_REQUEST_HEADER](RequestHeaders[0],RequestHeaders[2]+a),C&&(e[_DYN_REQUEST_HEADERS][RequestHeaders[0]]=RequestHeaders[2]+a))),P&&(isNullOrUndefined(o=e[_DYN_TRACE_FLAGS])&&(o=1),_isHeaderSet(r,RequestHeaders[4])?_throwInternalWarning(l,71,"Unable to set ["+RequestHeaders[4]+"] as it has already been set by another instance"):(i=formatTraceParent(createTraceParent(e[_DYN_TRACE_ID],e[_DYN_SPAN_ID],o)),r[_DYN_SET_REQUEST_HEADER](RequestHeaders[4],i),C&&(e[_DYN_REQUEST_HEADERS][RequestHeaders[4]]=i)))),r):undefined},l[_DYN_TRACK_DEPENDENCY_DAT3]=function(e,t,n){-1===b||r<b?(2!==$&&1!==$||"string"!=typeof e.id||"."===e.id[e.id[_DYN_LENGTH]-1]||(e.id+="."),isNullOrUndefined(e[_DYN_START_TIME])&&(e[_DYN_START_TIME]=new Date),e=createTelemetryItem(e,RemoteDependencyData.dataType,RemoteDependencyData.envelopeType,l[strDiagLog](),t,n),l[_DYN_CORE].track(e)):r===b&&_throwInternalCritical(l,55,"Maximum ajax per page view limit reached, ajax monitoring is paused until the next trackPageView(). In order to increase the limit set the maxAjaxCallsPerView configuration parameter.",!0),++r},l.addDependencyListener=function(e){return _addHandler(j,t++,e)},l.addDependencyInitializer=function(e){return _addHandler(k,t++,e)}}),e}return __extendsFn(B,n),B.prototype.processTelemetry=function(e,t){this.processNext(e,t)},B.prototype.addDependencyInitializer=function(e){return null},B.identifier="AjaxDependencyPlugin",B}(BaseTelemetryPlugin);exports.AjaxPlugin=AjaxMonitor,exports.DfltAjaxCorrelationHeaderExDomains=DfltAjaxCorrelationHeaderExDomains,exports.ajaxRecord=ajaxRecord;
//# sourceMappingURL=applicationinsights-dependencies-js.cjs.min.js.map
